* Figure A1 Table A1

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

cd "$Data/SIMCE"

tempfile temp2005 temp2006 temp2007 temp2008 temp2009 temp2010 temp2011 temp2012 temp2013

*2005***************************************************************************

use simce4b2005_alu, clear

mmerge idalumno using simce4b2005_cpad, unmatched(master) ukeep(preg8 preg7 preg12)

rename preg7 educ_father
gen educ_father_y=.
replace educ_father_y=0 	if educ_father==1
replace educ_father_y=1 	if educ_father==2
replace educ_father_y=2 	if educ_father==3
replace educ_father_y=3 	if educ_father==4
replace educ_father_y=4 	if educ_father==5
replace educ_father_y=5 	if educ_father==6
replace educ_father_y=6 	if educ_father==7
replace educ_father_y=7 	if educ_father==8
replace educ_father_y=8 	if educ_father==9
replace educ_father_y=9 	if educ_father==10
replace educ_father_y=10 	if educ_father==11
replace educ_father_y=11 	if educ_father==12
replace educ_father_y=12 	if educ_father==13
replace educ_father_y=12 	if educ_father==14
replace educ_father_y=13 	if educ_father==15
replace educ_father_y=14 	if educ_father==16
replace educ_father_y=14 	if educ_father==17
replace educ_father_y=16 	if educ_father==18
replace educ_father_y=17 	if educ_father==19
replace educ_father_y=21 	if educ_father==20

rename preg8 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20

gen income=.
replace income=50000 		if preg12==1
replace income=150000 		if preg12==2
replace income=250000 		if preg12==3
replace income=350000 		if preg12==4
replace income=450000 		if preg12==5
replace income=550000 		if preg12==6
replace income=700000 		if preg12==7
replace income=900000 		if preg12==8
replace income=1100000 		if preg12==9
replace income=1300000 		if preg12==10
replace income=1500000 		if preg12==11
replace income=1700000 		if preg12==12
replace income=1800000 		if preg12==13


keep mrun rbd curso codigo leng mate com educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename leng lect
rename mate mat
rename com nat

foreach var of varlist lect mat nat{
replace `var'=subinstr(`var',",",".",.)
destring `var', replace
}

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.


sum simce 
sum lect 
sum mat 


keep simce treat puntaje educ_father_y educ_mother_y income rbd

gen year=2005

save "`temp2005'", replace

*2006***************************************************************************

use simce4b2006_alu, clear

mmerge idalumno using simce4b2006_cpad, unmatched(master) ukeep(preg9 preg10 preg15)

rename preg9 educ_father
gen educ_father_y=.
replace educ_father_y=0 	if educ_father==1
replace educ_father_y=1 	if educ_father==2
replace educ_father_y=2 	if educ_father==3
replace educ_father_y=3 	if educ_father==4
replace educ_father_y=4 	if educ_father==5
replace educ_father_y=5 	if educ_father==6
replace educ_father_y=6 	if educ_father==7
replace educ_father_y=7 	if educ_father==8
replace educ_father_y=8 	if educ_father==9
replace educ_father_y=9 	if educ_father==10
replace educ_father_y=10 	if educ_father==11
replace educ_father_y=11 	if educ_father==12
replace educ_father_y=12 	if educ_father==13
replace educ_father_y=12 	if educ_father==14
replace educ_father_y=13 	if educ_father==15
replace educ_father_y=14 	if educ_father==16
replace educ_father_y=14 	if educ_father==17
replace educ_father_y=16 	if educ_father==18
replace educ_father_y=17 	if educ_father==19
replace educ_father_y=21 	if educ_father==20

rename preg10 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20

gen income=.
replace income=50000 		if preg15==1
replace income=150000 		if preg15==2
replace income=250000 		if preg15==3
replace income=350000 		if preg15==4
replace income=450000 		if preg15==5
replace income=550000 		if preg15==6
replace income=700000 		if preg15==7
replace income=900000 		if preg15==8
replace income=1100000 		if preg15==9
replace income=1300000 		if preg15==10
replace income=1500000 		if preg15==11
replace income=1700000 		if preg15==12
replace income=1800000 		if preg15==13

keep mrun rbd curso codigo leng mate com educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename leng lect
rename mate mat
rename com nat

foreach var of varlist lect mat nat{
replace `var'=subinstr(`var',",",".",.)
destring `var', replace
}


mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2006

save "`temp2006'", replace

*2007***************************************************************************
use simce4b2007_alu, clear

mmerge idalumno using simce4b2007_cpad, unmatched(master) ukeep(p6 p7 p8)

rename p6 educ_father
gen educ_father_y=.
replace educ_father_y=0 	if educ_father==1
replace educ_father_y=1 	if educ_father==2
replace educ_father_y=2 	if educ_father==3
replace educ_father_y=3 	if educ_father==4
replace educ_father_y=4 	if educ_father==5
replace educ_father_y=5 	if educ_father==6
replace educ_father_y=6 	if educ_father==7
replace educ_father_y=7 	if educ_father==8
replace educ_father_y=8 	if educ_father==9
replace educ_father_y=9 	if educ_father==10
replace educ_father_y=10 	if educ_father==11
replace educ_father_y=11 	if educ_father==12
replace educ_father_y=12 	if educ_father==13
replace educ_father_y=12 	if educ_father==14
replace educ_father_y=13 	if educ_father==15
replace educ_father_y=14 	if educ_father==16
replace educ_father_y=14 	if educ_father==17
replace educ_father_y=16 	if educ_father==18
replace educ_father_y=17 	if educ_father==19
replace educ_father_y=21 	if educ_father==20

rename p7 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20

gen income=.
replace income=50000 		if p8==1
replace income=150000 		if p8==2
replace income=250000 		if p8==3
replace income=350000 		if p8==4
replace income=450000 		if p8==5
replace income=550000 		if p8==6
replace income=700000 		if p8==7
replace income=900000 		if p8==8
replace income=1100000 		if p8==9
replace income=1300000 		if p8==10
replace income=1500000 		if p8==11
replace income=1700000 		if p8==12
replace income=1800000 		if p8==13

keep mrun rbd curso codigo leng mate natu educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename leng lect
rename mate mat
rename natu nat

foreach var of varlist lect mat nat{
replace `var'=subinstr(`var',",",".",.)
destring `var', replace
}

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2007

save "`temp2007'", replace

*2008***************************************************************************
use simce4b2008_alu, clear

mmerge idalumno using simce4b2008_cpad, unmatched(master) ukeep(preg05_* preg06_* preg07_*)

gen educ_father_y=.
replace educ_father_y=0 	if preg05_1==1
replace educ_father_y=1 	if preg05_2==1
replace educ_father_y=2 	if preg05_3==1
replace educ_father_y=3 	if preg05_4==1
replace educ_father_y=4 	if preg05_5==1
replace educ_father_y=5 	if preg05_6==1
replace educ_father_y=6 	if preg05_7==1
replace educ_father_y=7 	if preg05_8==1
replace educ_father_y=8 	if preg05_9==1
replace educ_father_y=9 	if preg05_10==1
replace educ_father_y=10 	if preg05_11==1
replace educ_father_y=11 	if preg05_12==1
replace educ_father_y=12 	if preg05_13==1
replace educ_father_y=12 	if preg05_14==1
replace educ_father_y=13 	if preg05_15==1
replace educ_father_y=14 	if preg05_16==1
replace educ_father_y=14 	if preg05_17==1
replace educ_father_y=16 	if preg05_18==1
replace educ_father_y=17 	if preg05_19==1
replace educ_father_y=21 	if preg05_20==1

gen educ_mother_y=.
replace educ_mother_y=0 	if preg06_1==1
replace educ_mother_y=1 	if preg06_2==1
replace educ_mother_y=2 	if preg06_3==1
replace educ_mother_y=3 	if preg06_4==1
replace educ_mother_y=4 	if preg06_5==1
replace educ_mother_y=5 	if preg06_6==1
replace educ_mother_y=6 	if preg06_7==1
replace educ_mother_y=7 	if preg06_8==1
replace educ_mother_y=8 	if preg06_9==1
replace educ_mother_y=9 	if preg06_10==1
replace educ_mother_y=10 	if preg06_11==1
replace educ_mother_y=11 	if preg06_12==1
replace educ_mother_y=12 	if preg06_13==1
replace educ_mother_y=12 	if preg06_14==1
replace educ_mother_y=13 	if preg06_15==1
replace educ_mother_y=14 	if preg06_16==1
replace educ_mother_y=14 	if preg06_17==1
replace educ_mother_y=16 	if preg06_18==1
replace educ_mother_y=17 	if preg06_19==1
replace educ_mother_y=21 	if preg06_20==1

gen income=.
replace income=50000 		if preg07_1==1
replace income=150000 		if preg07_2==1
replace income=250000 		if preg07_3==1
replace income=350000 		if preg07_4==1
replace income=450000 		if preg07_5==1
replace income=550000 		if preg07_6==1
replace income=700000 		if preg07_7==1
replace income=900000 		if preg07_8==1
replace income=1100000 		if preg07_9==1
replace income=1300000 		if preg07_10==1
replace income=1500000 		if preg07_11==1
replace income=1700000 		if preg07_12==1
replace income=1800000 		if preg07_13==1

keep mrun rbd curso codigo ptje_len ptje_mat ptje_com educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename ptje_len lect
rename ptje_mat mat
rename ptje_com soc

foreach var of varlist lect mat soc{
replace `var'=subinstr(`var',",",".",.)
destring `var', replace
}

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2008

save "`temp2008'", replace

*2009***************************************************************************
use simce4b2009_alu, clear

mmerge idalumno using simce4b2009_cpad, unmatched(master) ukeep(p09p_* p09m_* p10_*)

gen educ_father_y=.
replace educ_father_y=0 	if p09p_1==1
replace educ_father_y=1 	if p09p_2==1
replace educ_father_y=2 	if p09p_3==1
replace educ_father_y=3 	if p09p_4==1
replace educ_father_y=4 	if p09p_5==1
replace educ_father_y=5 	if p09p_6==1
replace educ_father_y=6 	if p09p_7==1
replace educ_father_y=7 	if p09p_8==1
replace educ_father_y=8 	if p09p_9==1
replace educ_father_y=9 	if p09p_10==1
replace educ_father_y=10 	if p09p_11==1
replace educ_father_y=11 	if p09p_12==1
replace educ_father_y=12 	if p09p_13==1
replace educ_father_y=12 	if p09p_14==1
replace educ_father_y=13 	if p09p_15==1
replace educ_father_y=14 	if p09p_16==1
replace educ_father_y=14 	if p09p_17==1
replace educ_father_y=16 	if p09p_18==1
replace educ_father_y=17 	if p09p_19==1
replace educ_father_y=21 	if p09p_20==1

gen educ_mother_y=.
replace educ_mother_y=0 	if p09m_1==1
replace educ_mother_y=1 	if p09m_2==1
replace educ_mother_y=2 	if p09m_3==1
replace educ_mother_y=3 	if p09m_4==1
replace educ_mother_y=4 	if p09m_5==1
replace educ_mother_y=5 	if p09m_6==1
replace educ_mother_y=6 	if p09m_7==1
replace educ_mother_y=7 	if p09m_8==1
replace educ_mother_y=8 	if p09m_9==1
replace educ_mother_y=9 	if p09m_10==1
replace educ_mother_y=10 	if p09m_11==1
replace educ_mother_y=11 	if p09m_12==1
replace educ_mother_y=12 	if p09m_13==1
replace educ_mother_y=12 	if p09m_14==1
replace educ_mother_y=13 	if p09m_15==1
replace educ_mother_y=14 	if p09m_16==1
replace educ_mother_y=14 	if p09m_17==1
replace educ_mother_y=16 	if p09m_18==1
replace educ_mother_y=17 	if p09m_19==1
replace educ_mother_y=21 	if p09m_20==1

gen income=.
replace income=50000 		if p10_1==1
replace income=150000 		if p10_2==1
replace income=250000 		if p10_3==1
replace income=350000 		if p10_4==1
replace income=450000 		if p10_5==1
replace income=550000 		if p10_6==1
replace income=700000 		if p10_7==1
replace income=900000 		if p10_8==1
replace income=1100000 		if p10_9==1
replace income=1300000 		if p10_10==1
replace income=1500000 		if p10_11==1
replace income=1700000 		if p10_12==1
replace income=1900000 		if p10_13==1
replace income=2100000 		if p10_14==1
replace income=2200000 		if p10_15==1

keep mrun rbd curso codigo ptje_lect ptje_mat ptje_nat educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename ptje_lect lect
rename ptje_mat mat
rename ptje_nat nat

foreach var of varlist lect mat nat{
replace `var'=subinstr(`var',",",".",.)
destring `var', replace
}
destring, replace

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2009

save "`temp2009'", replace

*2010***************************************************************************
use simce4b2010_alu, clear

mmerge idalumno using simce4b2010_cpad, unmatched(master) ukeep(p09_* p010_* p11_*)

gen educ_father_y=.
replace educ_father_y=0 	if p09_1==1
replace educ_father_y=1 	if p09_2==1
replace educ_father_y=2 	if p09_3==1
replace educ_father_y=3 	if p09_4==1
replace educ_father_y=4 	if p09_5==1
replace educ_father_y=5 	if p09_6==1
replace educ_father_y=6 	if p09_7==1
replace educ_father_y=7 	if p09_8==1
replace educ_father_y=8 	if p09_9==1
replace educ_father_y=9 	if p09_10==1
replace educ_father_y=10 	if p09_11==1
replace educ_father_y=11 	if p09_12==1
replace educ_father_y=12 	if p09_13==1
replace educ_father_y=12 	if p09_14==1
replace educ_father_y=13 	if p09_15==1
replace educ_father_y=14 	if p09_16==1
replace educ_father_y=14 	if p09_17==1
replace educ_father_y=16 	if p09_18==1
replace educ_father_y=17 	if p09_19==1
replace educ_father_y=21 	if p09_20==1

gen educ_mother_y=.
replace educ_mother_y=0 	if p010_1==1
replace educ_mother_y=1 	if p010_2==1
replace educ_mother_y=2 	if p010_3==1
replace educ_mother_y=3 	if p010_4==1
replace educ_mother_y=4 	if p010_5==1
replace educ_mother_y=5 	if p010_6==1
replace educ_mother_y=6 	if p010_7==1
replace educ_mother_y=7 	if p010_8==1
replace educ_mother_y=8 	if p010_9==1
replace educ_mother_y=9 	if p010_10==1
replace educ_mother_y=10 	if p010_11==1
replace educ_mother_y=11 	if p010_12==1
replace educ_mother_y=12 	if p010_13==1
replace educ_mother_y=12 	if p010_14==1
replace educ_mother_y=13 	if p010_15==1
replace educ_mother_y=14 	if p010_16==1
replace educ_mother_y=14 	if p010_17==1
replace educ_mother_y=16 	if p010_18==1
replace educ_mother_y=17 	if p010_19==1
replace educ_mother_y=21 	if p010_20==1

gen income=.
replace income=50000 		if p11_1==1
replace income=150000 		if p11_2==1
replace income=250000 		if p11_3==1
replace income=350000 		if p11_4==1
replace income=450000 		if p11_5==1
replace income=550000 		if p11_6==1
replace income=700000 		if p11_7==1
replace income=900000 		if p11_8==1
replace income=1100000 		if p11_9==1
replace income=1300000 		if p11_10==1
replace income=1500000 		if p11_11==1
replace income=1700000 		if p11_12==1
replace income=1900000 		if p11_13==1
replace income=2100000 		if p11_14==1
replace income=2200000 		if p11_15==1

keep mrun rbd curso codigo ptje_lect ptje_mat ptje_soc educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename ptje_lect lect
rename ptje_mat mat
rename ptje_soc soc

foreach var of varlist lect mat soc{
replace `var'=subinstr(`var',",",".",.)
destring `var', replace
}
destring, replace

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2010

save "`temp2010'", replace

*2011***************************************************************************

use simce4b2011_alu, clear

mmerge idalumno using simce4b2011_cpad, unmatched(master) ukeep(p08_* p09_* p10_*)

gen educ_father_y=.
replace educ_father_y=0 	if p08_1==1
replace educ_father_y=1 	if p08_2==1
replace educ_father_y=2 	if p08_3==1
replace educ_father_y=3 	if p08_4==1
replace educ_father_y=4 	if p08_5==1
replace educ_father_y=5 	if p08_6==1
replace educ_father_y=6 	if p08_7==1
replace educ_father_y=7 	if p08_8==1
replace educ_father_y=8 	if p08_9==1
replace educ_father_y=9 	if p08_10==1
replace educ_father_y=10 	if p08_11==1
replace educ_father_y=11 	if p08_12==1
replace educ_father_y=12 	if p08_13==1
replace educ_father_y=12 	if p08_14==1
replace educ_father_y=13 	if p08_15==1
replace educ_father_y=14 	if p08_16==1
replace educ_father_y=14 	if p08_17==1
replace educ_father_y=16 	if p08_18==1
replace educ_father_y=17 	if p08_19==1
replace educ_father_y=21 	if p08_20==1

gen educ_mother_y=.
replace educ_mother_y=0 	if p09_1==1
replace educ_mother_y=1 	if p09_2==1
replace educ_mother_y=2 	if p09_3==1
replace educ_mother_y=3 	if p09_4==1
replace educ_mother_y=4 	if p09_5==1
replace educ_mother_y=5 	if p09_6==1
replace educ_mother_y=6 	if p09_7==1
replace educ_mother_y=7 	if p09_8==1
replace educ_mother_y=8 	if p09_9==1
replace educ_mother_y=9 	if p09_10==1
replace educ_mother_y=10 	if p09_11==1
replace educ_mother_y=11 	if p09_12==1
replace educ_mother_y=12 	if p09_13==1
replace educ_mother_y=12 	if p09_14==1
replace educ_mother_y=13 	if p09_15==1
replace educ_mother_y=14 	if p09_16==1
replace educ_mother_y=14 	if p09_17==1
replace educ_mother_y=16 	if p09_18==1
replace educ_mother_y=17 	if p09_19==1
replace educ_mother_y=21 	if p09_20==1

gen income=.
replace income=50000 		if p10_1==1
replace income=150000 		if p10_2==1
replace income=250000 		if p10_3==1
replace income=350000 		if p10_4==1
replace income=450000 		if p10_5==1
replace income=550000 		if p10_6==1
replace income=700000 		if p10_7==1
replace income=900000 		if p10_8==1
replace income=1100000 		if p10_9==1
replace income=1300000 		if p10_10==1
replace income=1500000 		if p10_11==1
replace income=1700000 		if p10_12==1
replace income=1900000 		if p10_13==1
replace income=2100000 		if p10_14==1
replace income=2200000 		if p10_15==1

keep mrun rbd curso codigo ptje_lect ptje_mat ptje_nat educ_father_y educ_mother_y income ///

rename curso letra_curso
rename codigo cod_curso

rename ptje_lect lect
rename ptje_mat mat
rename ptje_nat nat

foreach var of varlist lect mat nat{
replace `var'="" if `var'=="#NULL!"
destring `var', replace
}

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2011

save "`temp2011'", replace

*2012***************************************************************************
use simce4b2012_alu, clear

mmerge idalumno using simce4b2012_cpad, unmatched(master) ukeep(cpad_p08 cpad_p09 cpad_p10)

rename cpad_p08 educ_father
gen educ_father_y=.
replace educ_father_y=0 	if educ_father==1
replace educ_father_y=1 	if educ_father==2
replace educ_father_y=2 	if educ_father==3
replace educ_father_y=3 	if educ_father==4
replace educ_father_y=4 	if educ_father==5
replace educ_father_y=5 	if educ_father==6
replace educ_father_y=6 	if educ_father==7
replace educ_father_y=7 	if educ_father==8
replace educ_father_y=8 	if educ_father==9
replace educ_father_y=9 	if educ_father==10
replace educ_father_y=10 	if educ_father==11
replace educ_father_y=11 	if educ_father==12
replace educ_father_y=12 	if educ_father==13
replace educ_father_y=12 	if educ_father==14
replace educ_father_y=13 	if educ_father==15
replace educ_father_y=14 	if educ_father==16
replace educ_father_y=14 	if educ_father==17
replace educ_father_y=16 	if educ_father==18
replace educ_father_y=17 	if educ_father==19
replace educ_father_y=21 	if educ_father==20

rename cpad_p09 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20

gen income=.
replace income=50000 		if cpad_p10==1
replace income=150000 		if cpad_p10==2
replace income=250000 		if cpad_p10==3
replace income=350000 		if cpad_p10==4
replace income=450000 		if cpad_p10==5
replace income=550000 		if cpad_p10==6
replace income=700000 		if cpad_p10==7
replace income=900000 		if cpad_p10==8
replace income=1100000 		if cpad_p10==9
replace income=1300000 		if cpad_p10==10
replace income=1500000 		if cpad_p10==11
replace income=1700000 		if cpad_p10==12
replace income=1900000 		if cpad_p10==13
replace income=2100000 		if cpad_p10==14
replace income=2200000 		if cpad_p10==15

keep mrun rbd letra_curso cod_curso ptje_lect4b_alu ptje_mate4b_alu ptje_soc4b_alu educ_father_y educ_mother_y income ///

rename ptje_lect4b_alu lect
rename ptje_mate4b_alu mat
rename ptje_soc4b_alu soc

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2012

save "`temp2012'", replace

*2013***************************************************************************
use simce4b2013_alu, clear

mmerge idalumno using simce4b2013_cpad, unmatched(master) ukeep(cpad_p07 cpad_p08 cpad_p09)

rename cpad_p07 educ_father
gen educ_father_y=.
replace educ_father_y=0 	if educ_father==1
replace educ_father_y=1 	if educ_father==2
replace educ_father_y=2 	if educ_father==3
replace educ_father_y=3 	if educ_father==4
replace educ_father_y=4 	if educ_father==5
replace educ_father_y=5 	if educ_father==6
replace educ_father_y=6 	if educ_father==7
replace educ_father_y=7 	if educ_father==8
replace educ_father_y=8 	if educ_father==9
replace educ_father_y=9 	if educ_father==10
replace educ_father_y=10 	if educ_father==11
replace educ_father_y=11 	if educ_father==12
replace educ_father_y=12 	if educ_father==13
replace educ_father_y=12 	if educ_father==14
replace educ_father_y=13 	if educ_father==15
replace educ_father_y=14 	if educ_father==16
replace educ_father_y=14 	if educ_father==17
replace educ_father_y=16 	if educ_father==18
replace educ_father_y=17 	if educ_father==19
replace educ_father_y=21 	if educ_father==20

rename cpad_p08 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20

gen income=.
replace income=50000 		if cpad_p09==1
replace income=150000 		if cpad_p09==2
replace income=250000 		if cpad_p09==3
replace income=350000 		if cpad_p09==4
replace income=450000 		if cpad_p09==5
replace income=550000 		if cpad_p09==6
replace income=700000 		if cpad_p09==7
replace income=900000 		if cpad_p09==8
replace income=1100000 		if cpad_p09==9
replace income=1300000 		if cpad_p09==10
replace income=1500000 		if cpad_p09==11
replace income=1700000 		if cpad_p09==12
replace income=1900000 		if cpad_p09==13
replace income=2100000 		if cpad_p09==14
replace income=2200000 		if cpad_p09==15

keep mrun rbd letra_curso cod_curso ptje_lect4b_alu ptje_mate4b_alu ptje_nat4b_alu educ_father_y educ_mother_y income ///

rename ptje_lect4b_alu lect
rename ptje_mate4b_alu mat
rename ptje_nat4b_alu nat

mmerge mrun using "$Data/FPS/FPS_poblacion.dta", unmatched(master)

gen treat=0 
replace treat=1 if puntaje<=6427
gen simce=(lect+mat)/2 if lect!=. & mat!=.
keep simce treat puntaje educ_father_y educ_mother_y income rbd
gen year=2013

save "`temp2013'", replace

use "`temp2005'", clear
append using "`temp2006'"
append using "`temp2007'"
append using "`temp2008'"
append using "`temp2009'"
append using "`temp2010'"
append using "`temp2011'"
append using "`temp2012'"
append using "`temp2013'"

sum simce if year==2005
replace simce=(simce-`r(mean)')/`r(sd)'


keep if year<=2012
save "/Users/josefaaguirre/Dropbox/Targeted Vouchers_ Revised/aux/difindif.dta", replace

use "/Users/josefaaguirre/Dropbox/Targeted Vouchers_ Revised/aux/difindif.dta", clear
collapse simce, by(year treat)
twoway  (line simce year if treat==1, lcolor(black) lpattern(dash) lwidth(thick) xline(2007, lcolor(black))) (line simce year if treat==0, lcolor(gs10) ///
lwidth(thick) ytitle("Test Scores") xtitle("Year") legend(label(1 "Low SES") label(2 "High SES")) graphregion(color(white) fcolor(white)) ///
plotregion(color(white) fcolor(white)) plotregion(style(none)) )
graph save Graph "$Figures/difindif.gph", replace
graph export "$Figures/difindif.png", replace

use "/Users/josefaaguirre/Dropbox/Targeted Vouchers_ Revised/aux/difindif.dta", clear
gen treat_2=0 if educ_mother_y!=.
replace treat_2=1 if educ_mother_y<=11 & educ_mother_y!=.
collapse simce, by(year treat_2)
twoway  (line simce year if treat_2==1, lcolor(black) lpattern(dash) lwidth(thick) xline(2007, lcolor(black))) (line simce year if treat_2==0, lcolor(gs10) ///
lwidth(thick) ytitle("Test Scores") xtitle("Year") legend(label(1 "Low SES") label(2 "High SES")) graphregion(color(white) fcolor(white)) ///
plotregion(color(white) fcolor(white)) plotregion(style(none)) )
graph save Graph "$Figures/difindif2.gph", replace
graph export "$Figures/difindif2.png", replace


*Impact on educational outcomes of students below the threshold
use "/Users/josefaaguirre/Dropbox/Targeted Vouchers_ Revised/aux/difindif.dta", clear
gen treat_2=0 if educ_mother_y!=.
replace treat_2=1 if educ_mother_y<=11 & educ_mother_y!=.
tab year, g(year_)

forvalues z=1/8{
gen treat_2_`z'=treat_2*year_`z'
gen treat_1_`z'=treat*year_`z'
}

reg simce year_* treat_2_* , nocons cluster(rbd)
local i=0
forvalues z=1/8{
local i=`i'+1
local b2_`i'=_b[treat_2_`z']
local se2_`i'=_se[treat_2_`z']
sig, coef(`b2_`i'') se(`se2_`i'')
local sig_`i'="`r(sig)'"
local b2_`i' : di %15.3fc `b2_`i''
local se2_`i' : di %15.3fc `se2_`i''
local obs2 	: di %15.0fc e(N)
}

reg simce year_* treat_1_* , nocons cluster(rbd)
local i=0
forvalues z=1/8{
local i=`i'+1
local b1_`i'=_b[treat_1_`z']
local se1_`i'=_se[treat_1_`z']
sig, coef(`b1_`i'') se(`se1_`i'')
local sig_`i'="`r(sig)'"
local b1_`i' : di %15.3fc `b1_`i''
local se1_`i' : di %15.3fc `se1_`i''
local obs1 	: di %15.0fc e(N)
}


texdoc init "$Tables/table_difindif.tex", replace

tex \begin{tabular}{lcc}
tex \hline 
tex 							& \multicolumn{2}{c}{Low-SES defined using: } \\	 \cline{2-3}	
tex								& Mothers' Education 		&Program Eligibility 			 \\ 
tex 							& (1)					 	& (2)							\\ \hline
tex Students Low-SES x 2005 	&$`b2_1'`sig2_1'$			&$`b1_1'`sig1_1'$			\\
tex 							&(`se2_1')					&(`se1_1')			\\ 
tex Students Low-SES x 2006		&$`b2_2'`sig2_2'$			&$`b1_2'`sig1_2'$			\\
tex 							&(`se2_2')					&(`se1_2')			\\ 
tex Students Low-SES x 2007		&$`b2_3'`sig2_3'$			&$`b1_3'`sig1_3'$ \\
tex 							&(`se2_3')					&(`se1_3')			\\ 
tex Students Low-SES x 2008		&$`b2_4'`sig2_4'$			&$`b1_4'`sig1_4'$			\\
tex 							&(`se2_4')					&(`se1_4')			\\ 
tex Students Low-SES x 2009		&$`b2_5'`sig2_5'$			&$`b1_5'`sig1_5'$			\\
tex 							&(`se2_5')					&(`se1_5')			\\ 
tex Students Low-SES x 2010		&$`b2_6'`sig2_6'$			&$`b1_6'`sig1_6'$			\\
tex 							&(`se2_6')					&(`se1_6')			\\ 
tex Students Low-SES x 2011		&$`b2_7'`sig2_7'$			&$`b1_7'`sig1_7'$			\\
tex 							&(`se2_7')					&(`se1_7')			\\  
tex Students Low-SES x 2012		&$`b2_8'`sig2_8'$			&$`b1_8'`sig1_8'$			\\
tex 							&(`se2_8')					&(`se1_8')			\\  \\
tex Observations				&`obs2'						&`obs1'	\\
tex \hline
tex \end{tabular}



