*Table A7 and Figure A2

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data", clear
gen educ_m=1 if educ_mother_y_s2b<12 & educ_mother_y_s2b!=.
replace educ_m=2 if educ_mother_y_s2b>=12 & educ_mother_y_s2b!=.

histogram r if educ_m==1, graphregion(color(white)) color(gs10) lcolor(grey) xtitle("")  xline(0, lcolor(black))
graph save Graph "$Figures/histogram_het_me1.gph", replace
graph export "$Figures/histogram_het_me1.pdf", replace

preserve
DCdensity r if educ_m==1, breakpoint(0) generate(Xj Yj r0 fhat se_fhat) 
restore

histogram r if educ_m==2, graphregion(color(white)) color(gs10) lcolor(grey) xtitle("")  xline(0, lcolor(black))
graph save Graph "$Figures/histogram_het_me2.gph", replace
graph export "$Figures/histogram_het_me2.pdf", replace

preserve
DCdensity r if educ_m==2, breakpoint(0) generate(Xj Yj r0 fhat se_fhat) 
restore

forvalues z=1/2{

local i=0
foreach var in educ_mother_y_s2b educ_father_y_s2b  income_s2b_us books_s2b internet_s2b computer_s2b childcare_s2b{
local i=`i'+1

rdrobust `var' r if educ_m==`z', h(1200)
local b_iv_me`z'_`i' =  -e(tau_cl)
local se_iv_me`z'_`i'=e(se_tau_cl)
sig, coef(`b_iv_me`z'_`i'') se(`se_iv_me`z'_`i'')
local sig_iv_me`z'_`i'="`r(sig)'"
local b_iv_me`z'_`i' 	: di %15.3fc `b_iv_me`z'_`i''
local se_iv_me`z'_`i' 	: di %15.3fc `se_iv_me`z'_`i''


reg `var' treat r treat_r if abs_r<=1200 & educ_m==`z'
local cons_iv_me`z'_`i'  = _b[_cons]
local cons_iv_me`z'_`i'  : di %15.3fc `cons_iv_me`z'_`i''
local obs_iv_me`z'_`i' 	: di %15.0fc e(N)

}
}

texdoc init "$Tables/table_het_me_balance.tex", replace

tex \begin{tabular}{lccccccc}
tex \hline 
tex 							& (1)				& (2)			& (3)			& (4)			& (5)			& (6)			&(7) \\
tex								&Mother's			&Father's		&Income			&Books			&Internet		&Computer		&Attended \\
tex								&Education			&Education		&US				&				&				&				&Childcare (0-2) \\ \hline		
tex \multicolumn{8}{c}{Panel A: Mother has less than High School Education } \\	 \hline					
tex Eligible			&$`b_iv_me1_1'`sig_iv_me1_1'$	&$`b_iv_me1_2'`sig_iv_me1_2'$	&$`b_iv_me1_3'`sig_iv_me1_3'$	&$`b_iv_me1_4'`sig_iv_me1_4'$	&$`b_iv_me1_5'`sig_iv_me1_5'$	&$`b_iv_me1_6'`sig_iv_me1_6'$	&$`b_iv_me1_7'`sig_iv_me1_7'$		\\
tex 							&(`se_iv_me1_1')				&(`se_iv_me1_2')				&(`se_iv_me1_3')				&(`se_iv_me1_4')				&(`se_iv_me1_5')				&(`se_iv_me1_6')				&(`se_iv_me1_7')				\\ \\
tex Mean Control				&`cons_iv_me1_1'				&`cons_iv_me1_2'				&`cons_iv_me1_3'				&`cons_iv_me1_4'				&`cons_iv_me1_5'				&`cons_iv_me1_6'				&`cons_iv_me1_7'		 \\ \\
tex Observations				&`obs_iv_me1_1'					&`obs_iv_me1_2'					&`obs_iv_me1_3'					&`obs_iv_me1_4'					&`obs_iv_me1_5'					&`obs_iv_me1_6'					&`obs_iv_me1_7'			\\ \\ \hline

tex \multicolumn{8}{c}{Panel B: Mother has High School Education or Tertiary Education } \\ \hline
tex Eligible			&$`b_iv_me2_1'`sig_iv_me2_1'$	&$`b_iv_me2_2'`sig_iv_me2_2'$	&$`b_iv_me2_3'`sig_iv_me2_3'$	&$`b_iv_me2_4'`sig_iv_me2_4'$	&$`b_iv_me2_5'`sig_iv_me2_5'$	&$`b_iv_me2_6'`sig_iv_me2_6'$	&$`b_iv_me2_7'`sig_iv_me2_7'$		\\
tex 							&(`se_iv_me2_1')				&(`se_iv_me2_2')				&(`se_iv_me2_3')				&(`se_iv_me2_4')				&(`se_iv_me2_5')				&(`se_iv_me2_6')				&(`se_iv_me2_7')				\\ \\
tex Mean Control				&`cons_iv_me2_1'				&`cons_iv_me2_2'				&`cons_iv_me2_3'				&`cons_iv_me2_4'				&`cons_iv_me2_5'				&`cons_iv_me2_6'				&`cons_iv_me2_7'		\\ \\
tex Observations				&`obs_iv_me2_1'					&`obs_iv_me2_2'					&`obs_iv_me2_3'					&`obs_iv_me2_4'					&`obs_iv_me2_5'					&`obs_iv_me2_6'					&`obs_iv_me2_7'		\\ \\

tex \hline
tex \end{tabular}
