*Figures 3, 4, 6
use "$Aux/Main_Data", clear
gen receives=0
replace receives=1 if sep==1 & prio_2012==1

foreach var of varlist  prio_2012 receives  ///
educ_mother_y_s2b educ_father_y_s2b  income_s2b_us ///
books_s2b internet_s2b computer_s2b childcare_s2b ///
private simce_4b_11_st educ_4b_11_st///
copago_us  class_size distance ///
lect_s2b_st lect_s4b_st mat_s4b_st {

preserve
lpoly `var' r if r<=0, kernel(triangle) bw(1200) degree(1) gen(pred0) at(r) nograph
lpoly `var' r if r>0 , kernel(triangle) bw(1200) degree(1) gen(pred1) at(r) nograph
gen pred = pred0 if r<=0
replace pred = pred1 if r>0

egen temp_x = cut(r), at(-5000(125)10000)
replace temp_x = temp_x  + (1/2)
bysort temp_x: egen temp_y = mean(`var')
bysort temp_x: gen temp_i = _n	

	if ("`var'" == "prio_2012") {
	local title = "Eligible"
	}
	if ("`var'" == "receives") {
	local title = "Receives Targeted Voucher"
	}
	if ("`var'" == "prio_years_s2b") {
	local title = "Number of Years Eligible by 2nd Grade"
	}
		if ("`var'" == "prio_years_s4b") {
	local title = "Number of Years Eligible by 4th Grade"
	}
	else if ("`var'" == "educ_mother_y_s2b") {
	local title = "Mother's Years of Education"
	}
	else if ("`var'" == "educ_father_y_s2b") {
	local title = "Father's Years of Education"
	}
	else if ("`var'" == "income_s2b_us") {
	local title = "Monthly Income in USD"
	}
	else if ("`var'" == "books_s2b") {
	local title = "No. of Books in the House"
	}
	else if ("`var'" == "internet_s2b") {
	local title = "Internet"
	}
	else if ("`var'" == "computer_s2b") {
	local title = "Computer"
	}
	else if ("`var'" == "childcare_s2b") {
	local title = "Attended Childcare 0–2 Years"
	}
	else if ("`var'" == "private") {
	local title = "Private School"
	}
	else if ("`var'" == "simce_4b_11_st") {
	local title = "School's Test Scores"
	}
	else if ("`var'" == "educ_4b_11_st") {
	local title = "School's SES"
	}
	else if ("`var'" == "copago_us") {
	local title = "School's Monthly Add-On in USD"
	}
	else if ("`var'" == "class_size") {
	local title = "Schools Class Size"
	}
	else if ("`var'" == "distance") {
	local title = "Distance to School"
	}
	else if ("`var'" == "lect_s2b_st") {
	local title = "Student's Language Test Scores 2nd"
	}
	else if ("`var'" == "lect_s4b_st") {
	local title = "Student's Language Test Scores 4th"
	}
	else if ("`var'" == "mat_s4b_st") {
	local title = "Student's Math Test Scores 4th"
	}
	
			
graph twoway (scatter temp_y temp_x if  temp_i == 1,  mcolor(gs10) ) ///
(line pred r if r<=0, lcolor(black) lpattern(solid) lwidth(medthick) sort) ///
(line pred r if r>0, lcolor(black) lpattern(solid) lwidth(medthick) sort), ///
legend(off) xtitle("Standardized Running Variable") ytitle("`title'", size(vlarge)) title("") ///
xline(0, lcolor(black))  graphregion(color(white) fcolor(white)) plotregion(color(white) fcolor(white)) plotregion(style(none))

graph save Graph "$Figures/`var'.gph", replace
graph export "$Figures/`var'.pdf",  replace
restore
}	
