/*------------------------------------------------------------------------------

Construct Data Set

-------------------------------------------------------------------------------*/

tempfile closed simce2b score2b score4b temp2012 temp2013 temp2014 temp2015 prioritarios temp1 temp2 temp3 schools12

*School Closed******************************************************************
use "$Data/Matricula/matricula15.dta", clear

keep if cod_ense3==2 & cod_grado==4

collapse cod_grado, by(rbd)

keep rbd

save "`closed'", replace

********************************************************************************
*SES Data **********************************************************************
********************************************************************************

*2nd grade*
use "$Data/SIMCE/simce2b2013_alu.dta", clear
keep mrun idalumno 
destring, replace

mmerge idalumno using "$Data/SIMCE/simce2b2013_cpad.dta", unmatched(none)

gen computer=.
replace computer=1 if cpad_p05_01==1
replace computer=0 if cpad_p05_01==2

gen internet=.
replace internet=1 if cpad_p05_02==1
replace internet=0 if cpad_p05_02==2

gen books=.
replace books=0 if 		cpad_p06==1
replace books=5 if 		cpad_p06==2
replace books=30 if 	cpad_p06==3
replace books=75 if 	cpad_p06==4
replace books=100 if 	cpad_p06==5


label def books 0"Ninguno" 5" Entre 1 y 10" 30"Entre 11 y 50" 75" Entre 50 y 100" 100" Mas de 100" 200"Mas de 200" 
label val books books

rename cpad_p07 educ_father
gen educ_father_y=.
replace educ_father_y=0 	if educ_father==1
replace educ_father_y=1 	if educ_father==2
replace educ_father_y=2 	if educ_father==3
replace educ_father_y=3 	if educ_father==4
replace educ_father_y=4 	if educ_father==5
replace educ_father_y=5 	if educ_father==6
replace educ_father_y=6 	if educ_father==7
replace educ_father_y=7 	if educ_father==8
replace educ_father_y=8 	if educ_father==9
replace educ_father_y=9 	if educ_father==10
replace educ_father_y=10 	if educ_father==11
replace educ_father_y=11 	if educ_father==12
replace educ_father_y=12 	if educ_father==13
replace educ_father_y=12 	if educ_father==14
replace educ_father_y=13 	if educ_father==15
replace educ_father_y=14 	if educ_father==16
replace educ_father_y=14 	if educ_father==17
replace educ_father_y=16 	if educ_father==18
replace educ_father_y=17 	if educ_father==19
replace educ_father_y=21 	if educ_father==20

rename cpad_p08 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20


gen income=.
replace income=50000 		if cpad_p09==1
replace income=150000 		if cpad_p09==2
replace income=250000 		if cpad_p09==3
replace income=350000 		if cpad_p09==4
replace income=450000 		if cpad_p09==5
replace income=550000 		if cpad_p09==6
replace income=700000 		if cpad_p09==7
replace income=900000 		if cpad_p09==8
replace income=1100000 		if cpad_p09==9
replace income=1300000 		if cpad_p09==10
replace income=1500000 		if cpad_p09==11
replace income=1700000 		if cpad_p09==12
replace income=1900000 		if cpad_p09==13
replace income=2100000 		if cpad_p09==14
replace income=2200000 		if cpad_p09==15

label def income 50000 "Menos de 100" 	150000 "Entre 100 y 200" 	250000 "Entre 200 y 300" ///
 				350000 "300 y 400" 		450000 "Entre 400 y 500" 	550000 "Entre 500 y 600" ///
 				700000 "600 y 800" 		900000 "Entre 800 y 1000" 	1100000"Entre 1000 y 1200" ///
 				1300000 "1200 y 1400" 	1500000 "Entre 1400 y 1600" 	1700000 "Entre 1600 y 1800" ///
 				1900000 "1800 y 2000" 	2100000 "Entre 2000 y 2200" 	2200000 "Mas de 2200" ///

label val income income

gen childcare=.
replace childcare=1 if cpad_p10==1 
replace childcare=0 if cpad_p10==2
label var childcare "sala cuna"

gen childcare2=.
replace childcare2=1 if cpad_p11==1 
replace childcare2=0 if cpad_p11==2
label var childcare2 "jardin infantil 2-4"

gen prekinder=.
replace prekinder=1 if cpad_p12==1 
replace prekinder=0 if cpad_p12==2

gen kinder=.
replace kinder=1 if cpad_p13==1 
replace kinder=0 if cpad_p13==2

gen edad_madre=cpad_p02
replace edad_madre=. if cpad_p01!=2

keep mrun computer internet books ///
educ_father_y educ_mother_y income childcare childcare2 prekinder kinder edad_madre

rename * *_s2b
rename mrun_s2b mrun

sort mrun
drop if mrun==.

duplicates drop mrun, force

gen income_s2b_us=income_s2b/500

save "`simce2b'", replace

********************************************************************************
*Test Score Data ***************************************************************
********************************************************************************
use "$Data/SIMCE/simce2b2013_alu.dta", clear
keep mrun rbd letra_curso cod_curso ptje_lect2b_alu  ///

rename ptje_lect2b_alu lect


foreach var of varlist rbd-lect{
rename `var' `var'_s2b
}

sort mrun
drop if mrun==.
duplicates drop mrun, force

save "`score2b'", replace

use "$Data/SIMCE/simce4b2015_alu.dta", clear
keep mrun rbd letra_curso cod_curso ptje_lect4b_alu ptje_mate4b_alu  

rename ptje_lect4b_alu lect
rename ptje_mate4b_alu mat

foreach var in rbd letra_curso cod_curso lect mat{
rename `var' `var'_s4b
}

sort mrun
drop if mrun==.
duplicates drop mrun, force

save "`score4b'", replace

********************************************************************************
*Eligibility********************************************************************
********************************************************************************
forvalues z=2012/2015{
use "$Data/SEP/prioritarios_`z'.dta"
keep mrun ben_sep criterio_sep
rename ben_sep prio_`z'
rename criterio_sep criterio_sep_`z'
save "`temp`z''", replace
}
use "`temp2012'"
forvalues z=2013/2015{
mmerge mrun using "`temp`z''"
}

save "`prioritarios'", replace

********************************************************************************
*School Characteristics*********************************************************
********************************************************************************
*2012***************************************************************************
*School size*
use "$Data/Matricula/matricula11.dta", clear

keep if cod_ense3==2 & cod_grado==1

gen size=1

gen class_size=1

egen tag = tag(rbd let_cur)
egen cursos = total(tag), by(rbd)

collapse (sum) class_size (sum) size (mean)cursos, by(let_cur rbd)

gen capacity=cursos*45

collapse (mean) class_size (sum) size (mean)capacity, by(rbd)

save "`temp2'", replace

*School Addresses*
use "$Data/Schools/escolar_geo.dta", clear
rename coord_x_g sch_lon
rename coord_y_g sch_lat
keep rbd sch_lon sch_lat
save "`temp3'", replace

*Test Score*
use "$Data/SIMCE/simce4b2011_alu", clear
keep mrun idalumno rbd curso codigo ptje_lect ptje_mat ptje_nat ///

rename ptje_lect lect_4b_11
rename ptje_mat mat_4b_11

foreach var of varlist lect_4b_11 mat_4b_11{
replace `var'="" if `var'=="#NULL!"
destring `var', replace
}

gen simce_4b_11=(lect_4b_11+mat_4b_11)/2

mmerge idalumno using "$Data/SIMCE/simce4b2011_cpad"
gen educ_mother_y=.
replace educ_mother_y=0 	if p09_1==1
replace educ_mother_y=1 	if p09_2==1
replace educ_mother_y=2 	if p09_3==1
replace educ_mother_y=3 	if p09_4==1
replace educ_mother_y=4 	if p09_5==1
replace educ_mother_y=5 	if p09_6==1
replace educ_mother_y=6 	if p09_7==1
replace educ_mother_y=7 	if p09_8==1
replace educ_mother_y=8 	if p09_9==1
replace educ_mother_y=9 	if p09_10==1
replace educ_mother_y=10 	if p09_11==1
replace educ_mother_y=11 	if p09_12==1
replace educ_mother_y=12 	if p09_13==1
replace educ_mother_y=12 	if p09_14==1
replace educ_mother_y=13 	if p09_15==1
replace educ_mother_y=14 	if p09_16==1
replace educ_mother_y=14 	if p09_17==1
replace educ_mother_y=16 	if p09_18==1
replace educ_mother_y=17 	if p09_19==1
replace educ_mother_y=21 	if p09_20==1
rename educ_mother_y educ_4b_11

reg simce_4b_11 educ_4b_11

collapse lect_4b_11 mat_4b_11 simce_4b_11 educ_4b_11, by (rbd)

save "`temp1'", replace


*Establecimientos con básica en 2012
use "$Data/Schools/directorio_estab12.dta", clear

gen rbd_basica=0
forvalues z=1/9{
replace rbd_basica=1 if ens_0`z'==110
}
keep if rbd_basica==1

keep rbd cod_depe cod_com_rbd cod_reg_rbd rural_rbd

rename cod_reg_rbd reg_rbd

recode cod_depe(2=1)
recode cod_depe(3=2)
recode cod_depe(4=3)
recode cod_depe(5=1)

label def cod_depe 1"Municipal" 2"Part Subv" 3"Part Pagado" 
label val cod_depe cod_depe

mmerge rbd using "`temp1'", unmatched(master)
mmerge rbd using "`temp2'", unmatched(master)
mmerge rbd using "`temp3'", unmatched(master)

mmerge rbd using "$Data/Schools/copago.dta", ukeep(copago) unmatched(master)

mmerge rbd using "$Data/Schools/schools_sep12.dta", ukeep(n_ben) unmatched(master)
rename n_ben n_ben_12

mmerge rbd using "$Data/Schools/orientacion_religiosa.dta", unmatched(master)

mmerge rbd using "$Data/Schools/sae2018.dta", unmatched(master)

*Creating variables
gen public=0 
replace public=1 if cod_depe==1 

gen private=0
replace private=1 if cod_depe==2 | cod_depe==3

gen voucher=0
replace voucher=1 if cod_depe==2 

gen sep=0
replace sep=1 if private==0
replace sep=1 if n_ben_12>0 & private==1

gen copago2=0 
replace copago2=5500 if copago==1 & private==1
replace copago2=17500 if copago==2 & private==1
replace copago2=37500 if copago==3 & private==1
replace copago2=75000 if copago==4 & private==1
replace copago2=100000 if copago==6 & private==1
replace copago2=. if copago==7 & private==1
drop copago
rename copago2 copago

gen religious=0
replace religious=1 if ori_catolica==1 | ori_evangelica==1 | ori_musulmana==1 | ori_judia==1 | ori_budista==1 | ori_otro==1 

keep sch_lat sch_lon rbd reg_rbd rural_rbd cod_depe public private voucher sep  lect_4b_11 mat_4b_11 simce_4b_11 educ_4b_11 copago cod_com_rbd class_size size religious capacity excess

gen copago_us=copago/500

save "$Aux/schools12", replace

*2015***************************************************************************
tempfile temp1 temp2
*School size*
use "$Data/Matricula/matricula14.dta", clear

keep if cod_ense3==2 & cod_grado==4

gen size=1

gen class_size=1

collapse (sum) class_size (sum) size, by(let_cur rbd)

collapse (mean) class_size (sum) size, by(rbd)

save "`temp2'", replace

*Test Score*
use "$Data/SIMCE/simce4b2014_alu", clear
keep mrun idalumno rbd  codigo ptje_lect4b_alu ptje_mate4b_alu ///

rename ptje_lect lect_4b_14
rename ptje_mat mat_4b_14

gen simce_4b_14=(lect_4b_14+mat_4b_14)/2

mmerge idalumno using "$Data/SIMCE/simce4b2014_cpad"
rename cpad_p05 educ_mother
gen educ_mother_y=.
replace educ_mother_y=0 	if educ_mother==1
replace educ_mother_y=1 	if educ_mother==2
replace educ_mother_y=2 	if educ_mother==3
replace educ_mother_y=3 	if educ_mother==4
replace educ_mother_y=4 	if educ_mother==5
replace educ_mother_y=5 	if educ_mother==6
replace educ_mother_y=6 	if educ_mother==7
replace educ_mother_y=7 	if educ_mother==8
replace educ_mother_y=8 	if educ_mother==9
replace educ_mother_y=9 	if educ_mother==10
replace educ_mother_y=10 	if educ_mother==11
replace educ_mother_y=11 	if educ_mother==12
replace educ_mother_y=12 	if educ_mother==13
replace educ_mother_y=12 	if educ_mother==14
replace educ_mother_y=13 	if educ_mother==15
replace educ_mother_y=14 	if educ_mother==16
replace educ_mother_y=14 	if educ_mother==17
replace educ_mother_y=16 	if educ_mother==18
replace educ_mother_y=17 	if educ_mother==19
replace educ_mother_y=21 	if educ_mother==20
rename educ_mother_y educ_4b_14

collapse lect_4b_14 mat_4b_14 simce_4b_14 educ_4b_14, by (rbd)

save "`temp1'", replace

*Establecimientos con básica en 2015
use "$Data/Schools/directorio_estab15.dta", clear

rename longitud sch_lon
rename latitud sch_lat
encode pago_mensual, g(copago)

gen rbd_basica=0
forvalues z=1/9{
replace rbd_basica=1 if ens_0`z'==110
}
keep if rbd_basica==1

keep rbd cod_depe cod_com_rbd cod_reg_rbd rural_rbd sch_lon sch_lat copago

rename cod_reg_rbd reg_rbd

recode cod_depe(2=1)
recode cod_depe(3=2)
recode cod_depe(4=3)
recode cod_depe(5=1)

label def cod_depe 1"Municipal" 2"Part Subv" 3"Part Pagado" 
label val cod_depe cod_depe

mmerge rbd using "`temp1'", unmatched(master)
mmerge rbd using "`temp2'", unmatched(master)

mmerge rbd using "$Data/Schools/schools_sep15.dta", ukeep(n_ben) unmatched(master)
rename n_ben n_ben_15

*Creating variables
gen public=0 
replace public=1 if cod_depe==1 

gen private=0
replace private=1 if cod_depe==2 | cod_depe==3

gen voucher=0
replace voucher=1 if cod_depe==2 

gen sep=0
replace sep=1 if private==0
replace sep=1 if n_ben_15>0 & private==1

gen copago2=0 
replace copago2=5500 if copago==1 & private==1
replace copago2=17500 if copago==2 & private==1
replace copago2=37500 if copago==3 & private==1
replace copago2=75000 if copago==4 & private==1
replace copago2=100000 if copago==6 & private==1
replace copago2=. if copago==7 & private==1
drop copago
rename copago2 copago

keep sch_lat sch_lon rbd reg_rbd rural_rbd cod_depe public private voucher sep  lect_4b_14 mat_4b_14 simce_4b_14 educ_4b_14 copago cod_com_rbd class_size size 

gen copago_us=copago/500

rename * *_4b

save "$Aux/schools15", replace

********************************************************************************
*Putting data together**********************************************************
********************************************************************************
/*Enrollment Data*/
use "$Data/Matricula/matricula12", clear
drop if mrun==.
duplicates drop mrun, force
keep if cod_ense3==2 & cod_grado==1
keep mrun rbd cod_ense3 cod_grado let_cur cod_com_alu cod_com_rbd cod_reg_alu
replace cod_com_alu=cod_com_rbd if cod_com_alu==0
drop cod_com_rbd

/*SES Data*/
mmerge mrun using "`simce2b'", unmatched(master)

/*Test Score Data*/
mmerge mrun using "`score2b'", unmatched(master)

mmerge mrun using "`score4b'", unmatched(master)

/*Eligibility Data*/
mmerge mrun using  "`prioritarios'", unmatched(master) ukeep(prio_2012 prio_2013 prio_2014 prio_2015 criterio_sep_2012 criterio_sep_2013 criterio_sep_2014 criterio_sep_2015)
foreach var of varlist prio_2012 prio_2013 prio_2014 prio_2015{ 
rename `var' `var'_2
}

drop _merge
mmerge mrun using "$Data/FPS/FPS_poblacion.dta", ukeep(puntaje ingr_pc) unmatched(master)
gen r=(puntaje-6427)

forvalues z=2012/2015{
gen prio_`z'=0
replace prio_`z'=1 if prio_`z'_2!=.
drop prio_`z'_2
}

replace criterio_sep_2012=0 if criterio_sep_2012==.
replace criterio_sep_2013=0 if criterio_sep_2013==.

/*Address Data */
mmerge mrun using "$Aux/addresses.dta", unmatched(master)

/* Add data on schools*/
bysort cod_com_alu: egen var1=mode(cod_reg_alu)
replace cod_reg_alu=var1 if cod_reg_alu==. | cod_reg_alu==0

mmerge rbd using "$Aux/schools12", unmatched(master)

mmerge rbd using "`closed'", unmatched(master)

gen rbd_closed=0
replace rbd_closed=1 if _merge==1

/*Add data on school in 4th grade*/
mmerge mrun using "$Data/Matricula/matricula15", unmatched(master) ukeep(rbd) urename(rbd rbd_4b)
mmerge rbd_4b using "$Aux/schools12", unmatched(master) umatch(rbd) ukeep(private simce_4b_11 educ_4b_11 copago_us class_size sch_lat sch_lon) ///
urename(private private_4b \ simce_4b_11 simce_4b_11_4b \ educ_4b_11 educ_4b_11_4b \ copago_us copago_us_4b \ class_size class_size_4b \ sch_lat sch_lat_4b \ sch_lon sch_lon_4b)

geodist s_lat s_lon sch_lat_4b sch_lon_4b, generate(distance_4b) miles
_pctile distance_4b, p(95)
replace distance_4b=. if distance_4b>r(r1)

/*Clean Data*/

/*Distance*/
geodist s_lat s_lon sch_lat sch_lon, generate(distance) miles
_pctile distance, p(95)
replace distance=. if distance>r(r1)

/*Mother's Education*/
gen educ_m_1=0
replace educ_m_1=1 if educ_mother_y_s2b<=8 & educ_mother_y_s2b!=.

gen educ_m_2=0
replace educ_m_2=1 if educ_mother_y_s2b>8 & educ_mother_y_s2b<=12 & educ_mother_y_s2b!=.

gen educ_m_3=0
replace educ_m_3=1 if educ_mother_y_s2b>12 & educ_mother_y_s2b!=.

gen no_educ_m=0
replace no_educ_m=1 if educ_mother_y_s2b==.

/*Father's Education*/

gen educ_f_1=0
replace educ_f_1=1 if educ_father_y_s2b<=8 & educ_father_y_s2b!=.

gen educ_f_2=0
replace educ_f_2=1 if educ_father_y_s2b>8 & educ_father_y_s2b<=12 & educ_father_y_s2b!=.

gen educ_f_3=0
replace educ_f_3=1 if educ_father_y_s2b>12 & educ_father_y_s2b!=.

gen no_educ_f=0
replace no_educ_f=1 if educ_father_y_s2b==.

/*Income*/

tab income_s2b

gen income_1=0
replace income_1=1 if income_s2b<=150000 & income_s2b!=.

gen income_2=0
replace income_2=1 if income_s2b>150000 & income_s2b<=450000 & income_s2b!=.

gen income_3=0
replace income_3=1 if income_s2b>450000 & income_s2b!=.

gen no_income=0
replace no_income=1 if income_s2b==.

/*Region*/
gen region_1=0
replace region_1=1 if cod_reg_alu==1 | cod_reg_alu==2 | cod_reg_alu==15 

gen region_2=0
replace region_2=1 if cod_reg_alu==3 | cod_reg_alu==4

gen region_3=0
replace region_3=1 if cod_reg_alu==5 | cod_reg_alu==6 | cod_reg_alu==7 | cod_reg_alu==8 | cod_reg_alu==13

gen region_4=0
replace region_4=1 if cod_reg_alu==9 | cod_reg_alu==10  | cod_reg_alu==14

gen region_5=0
replace region_5=1 if cod_reg_alu==11 | cod_reg_alu==12  

gen simce_4b_11_st=(simce_4b_11-242.5215)/31.76411
gen lect_4b_11_st=(lect_4b_11-246.9155)/31.52991
gen mat_4b_11_st=(mat_4b_11-237.7037)/33.91179
gen educ_4b_11_st=(educ_4b_11-8.612691)/2.541032

gen simce_4b_11_st_4b=(simce_4b_11_4b-242.5215)/31.76411
gen educ_4b_11_st_4b=(educ_4b_11_4b-8.612691)/2.541032

/*Educational outcomes*/
foreach var of varlist lect_s2b{
sum `var' 
gen `var'_st=(`var'-r(mean))/r(sd) if r!=.
}
gen lect_s4b_st=(lect_s4b-255.4486)/53.27823
gen mat_s4b_st=(mat_s4b-247.542)/55.32817

gen treat=0 if r>0 & r!=.
replace treat=1 if r<=0 & r!=.

gen abs_r=abs(r)

gen treat_r=treat*r

gen prio_years_s2b=0
replace prio_years_s2b=prio_2012+prio_2013

gen prio_years_s4b=0
replace prio_years_s4b=prio_2012+prio_2013+prio_2014+prio_2015

drop _merge
save "$Aux/Main_Data", replace

********************************************************************************
*Add data on nearest schools****************************************************
********************************************************************************
forvalues i=1/15{
use  "$Aux/schools12", clear
keep if reg_rbd==`i'
keep if sch_lat!=. &  sch_lon!=.
keep rbd sch_lat sch_lon sep copago voucher simce_4b_11 private educ_4b_11 copago_us class_size capacity
gen simce_4b_11_st=(simce_4b_11-242.5215)/31.76411
gen educ_4b_11_st=(educ_4b_11-8.612691)/2.541032
save "$Aux/temp`i'", replace
}

forvalues i=1/15{
	use "$Aux/Main_Data.dta", clear

	keep if reg_rbd==`i'
	keep if r!=.
	keep if abs(r)<=1200
	keep if s_lat!=. & s_lon!=.
	keep mrun s_lat s_lon prio_2012
	duplicates drop mrun, force
	cross using "$Aux/temp`i'"

	geodist s_lat s_lon sch_lat sch_lon, generate(distance) miles
	gen distancer=round(distance, 0.001)

	*Distance to voucher that charges add-ons and joined the policy 
	gen var=distance if  sep==1 & copago_us>0 & voucher==1
	bysort mrun: egen distance_voucher=min(var)
	drop var

	*School within distance
	gen var=distancer if copago_us==0
	bysort mrun:egen var2=min(var)

	foreach var in rbd distance simce_4b_11_st{
		gen var3=`var' if distancer==var2 & distancer<2
		bysort mrun: egen min_`var'_free=max(var3)
		drop var3
		}	
	drop var var2

	gen var=distancer if (copago_us==0 | copago_us>0 & sep==1)
	bysort mrun:egen var2=min(var)

	foreach var in rbd distance simce_4b_11_st{
		gen var3=`var' if distancer==var2 & distancer<2
		bysort mrun: egen min_`var'_sep=max(var3)
		drop var3
	}
	drop var var2 distancer

	foreach q in 0.3 0.7 1.7{

	preserve
		if `q'==0.3{
		local w="03"
		}

		if `q'==0.7{
		local w="07"
		}

		if `q'==1.7{
		local w="17"
		}

	gen rbd_c_`w'=.
	gen rbd_t_`w'=.
		
		*Control
		gen var1=simce_4b_11_st if distance<=`q' & copago_us==0 
		
		bysort mrun:egen var2=max(var1)
		gen var3=rbd if simce_4b_11_st==var2 & var2!=.
		bysort mrun: egen temp_rbd_c=max(var3)
		replace temp_rbd_c=min_rbd_free if temp_rbd_c==.
		
		replace rbd_c_`w'=temp_rbd_c
		
		*Treatment	
		gen 	var6=simce_4b_11_st if distance<=`q'  & (copago_us==0 | copago_us>0 & sep==1)

		bysort mrun:egen var4=max(var6)
		gen var5=rbd if simce_4b_11_st==var4 & var4!=.
		bysort mrun: egen temp_rbd_t=max(var5)
		replace temp_rbd_t=min_rbd_sep if min_simce_4b_11_st_sep>min_simce_4b_11_st_free & min_distance_sep<=min_distance_free & temp_rbd_t==. & min_simce_4b_11_st_sep!=.
		replace temp_rbd_t=min_rbd_free if temp_rbd_t==.
		replace temp_rbd_t=temp_rbd_c if (var2>var4 & var2!=.) 
		drop var1 var2 var3 var6 var4 var5

		replace rbd_t_`w'=temp_rbd_t
		
		drop temp_rbd_t temp_rbd_c

		foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance{
			gen var=`var' if rbd_c_`w'==rbd & rbd_c_`w'!=.
			bysort mrun:egen `var'_c_`w'=max(var)
			drop var
			
			gen var=`var' if rbd_t_`w'==rbd & rbd_t_`w'!=.
			bysort mrun:egen `var'_t_`w'=max(var)
			drop var
			}
			
		foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance{
		replace `var'_t_`w'=. if `var'_c_`w'==.
		gen `var'_`w'=`var'_t_`w' if prio_2012==1
		replace `var'_`w'=`var'_c_`w' if prio_2012==0
		}
	
	collapse distance_voucher *_`w', by(mrun)

	save "$Aux/temp`i'_`w'", replace
	restore

	}
	
use "$Aux/temp`i'_03", clear
mmerge mrun using "$Aux/temp`i'_07"
mmerge mrun using "$Aux/temp`i'_17"
save "$Aux/temp`i'", replace

}


use "$Aux/temp1", clear

forvalues i=2/15{
append using "$Aux/temp`i'"
}

sort mrun 

save "$Aux/nearest_schools.dta", replace

use "$Aux/Main_Data.dta", clear

mmerge mrun using "$Aux/nearest_schools.dta", unmatched (master)

save "$Aux/Main_Data.dta", replace

*Erase

forvalues i=2/15{
erase "$Aux/temp`i'.dta"
erase "$Aux/temp`i'_03.dta"
erase "$Aux/temp`i'_07.dta"
erase "$Aux/temp`i'_17.dta"
}


********************************************************************************
*Add data on nearest schools****************************************************
********************************************************************************
forvalues i=1/15{
use  "$Aux/schools12", clear
keep if reg_rbd==`i'
keep if sch_lat!=. &  sch_lon!=.
keep rbd sch_lat sch_lon sep copago voucher simce_4b_11 private educ_4b_11 copago_us class_size capacity
gen simce_4b_11_st=(simce_4b_11-242.5215)/31.76411
gen educ_4b_11_st=(educ_4b_11-8.612691)/2.541032
save "$Aux/temp`i'", replace
}

forvalues i=1/15{

	use "$Aux/Main_Data.dta", clear
	keep if reg_rbd==`i'
	keep if r!=.
	keep if abs(r)<1200
	keep if s_lat!=. & s_lon!=.
	keep mrun s_lat s_lon prio_2012
	duplicates drop mrun, force
	cross using "$Aux/temp`i'"

	geodist s_lat s_lon sch_lat sch_lon, generate(distance) miles
	gen distancer=round(distance, 0.001)

	*Distance to voucher that charges add-ons and joined the policy 
	gen var=distance if  sep==1 & copago_us>0 & voucher==1
	bysort mrun: egen distance_voucher=min(var)
	drop var

	*School within distance
	gen var=distancer if copago_us==0
	bysort mrun:egen var2=min(var)

	foreach var in rbd distance simce_4b_11_st{
		gen var3=`var' if distancer==var2
		bysort mrun: egen min_`var'_free=max(var3)
		drop var3
		}	
	drop var var2

	gen var=distancer if (copago_us==0 | copago_us>0 & sep==1)
	bysort mrun:egen var2=min(var)

	foreach var in rbd distance simce_4b_11_st{
		gen var3=`var' if distancer==var2
		bysort mrun: egen min_`var'_sep=max(var3)
		drop var3
	}
	drop var var2 distancer


	foreach q in 0.3 0.7 1.7{
	preserve
		if `q'==0.3{
		local w="03"
		}

		if `q'==0.7{
		local w="07"
		}

		if `q'==1.7{
		local w="17"
		}

	gen rbd_`w'=.

		forvalues z=1/1000000{
		gen 	var=simce_4b_11_st if distance<=`q' & prio_2012==1 & (copago_us==0 | copago_us>0 & sep==1)
		replace var=simce_4b_11_st if distance<=`q' & prio_2012==0 & copago_us==0 

		bysort mrun:egen var2=max(var)
		gen var3=rbd if simce_4b_11_st==var2 & var2!=.
		bysort mrun: egen temp_rbd=max(var3)
		replace temp_rbd=min_rbd_sep if prio_2012==1 & min_simce_4b_11_st_sep>min_simce_4b_11_st_free & min_distance_sep<=min_distance_free & temp_rbd==. & min_simce_4b_11_st_sep!=.
		replace temp_rbd=min_rbd_free if temp_rbd==.
		drop var var2 var3

		*Capacidad
		gen app=2
		replace app=1 if temp_rbd==rbd

		sort mrun rbd
		set seed 1000
		gen random=rnormal()
		bysort mrun: replace random = random[1]

		sort app rbd random
		bysort app rbd (random): gen var=_n

		replace capacity=45 if capacity==.

		replace rbd_`w'=temp_rbd

		gen var2=1 if var>capacity & app==1
		sum var2

			if (r(N)==0){
			continue, break
			}

		bysort rbd: egen var3=max(var2)
		
		drop if var2==1
		drop if var3==1 & app==2

		drop var2 var3 var app random temp_rbd
		}
	drop var2 var app random temp_rbd

		foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance{
			gen var=`var' if rbd_`w'==rbd & rbd_`w'!=.
			bysort mrun:egen `var'_`w'=max(var)
			drop var
			}
	collapse distance_voucher *_`w', by(mrun)

	save "$Aux/temp`i'_`w'", replace
	restore

	}
	
local i=1
use "$Aux/temp`i'_03", clear
mmerge mrun using "$Aux/temp`i'_07"
mmerge mrun using "$Aux/temp`i'_17"
save "$Aux/temp`i'", replace

}


use "$Aux/temp1", clear

forvalues i=2/15{
append using "$Aux/temp`i'"
}

sort mrun 

save "$Aux/nearest_schools.dta", replace

use "$Aux/Main_Data.dta", clear

mmerge mrun using "$Aux/nearest_schools.dta", unmatched (master)

save "$Aux/Main_Data.dta", replace

*Erase

forvalues i=2/15{
erase "$Aux/temp`i'.dta"
erase "$Aux/temp`i'_03.dta"
erase "$Aux/temp`i'_07.dta"
erase "$Aux/temp`i'_17.dta"
}
