*Table 2

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data", clear

local i=0
foreach var in educ_mother_y_s2b educ_father_y_s2b  income_s2b_us books_s2b internet_s2b computer_s2b childcare_s2b{
local i=`i'+1
rdrobust `var' r, h(1200)
local b_`i' =  -e(tau_cl)
local se_`i'=e(se_tau_cl)
sig, coef(`b_`i'') se(`se_`i'')
local sig_`i'="`r(sig)'"
local b_`i' 	: di %15.3fc `b_`i''
local se_`i' 	: di %15.3fc `se_`i''


reg `var' treat r treat_r if abs_r<=1200
local cons_`i'  = _b[_cons]
local cons_`i'  : di %15.3fc `cons_`i''
local obs_`i' 	: di %15.0fc e(N)
}


texdoc init "$Tables/table_balance.tex", replace

tex \begin{tabular}{lccccccc}
tex \hline 
tex 							& (1)				& (2)			& (3)			& (4)			& (5)			& (6)			&(7) \\
tex								&Mother's			&Father's		&Income			&Books			&Internet		&Computer		&Attended \\
tex								&Education			&Education		&US				&				&				&				&Childcare (0-2) \\ \hline							
tex R $\leq$ Cutoff				&$`b_1'`sig_1'$		&$`b_2'`sig_2'$	&$`b_3'`sig_3'$	&$`b_4'`sig_4'$	&$`b_5'`sig_5'$	&$`b_6'`sig_6'$	&$`b_7'`sig_7'$			\\
tex 							&(`se_1')			&(`se_2')		&(`se_3')		&(`se_4')		&(`se_5')		&(`se_6')		&(`se_7')	\\ \\
tex  Mean Control				&`cons_1'			&`cons_2'		&`cons_3'		&`cons_4'		&`cons_5'		&`cons_6'		&`cons_7' \\ \\
tex Observations				&`obs_1'			&`obs_2'		&`obs_3'		&`obs_4'		&`obs_5'		&`obs_6'		&`obs_7' 	\\ \\
tex \hline
tex \end{tabular}
