*Table 4

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data", clear


foreach w in 03 07 17{
local i=0
foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance {
local i=`i'+1
*IV

rdrobust `var'_`w' r, h(1200) covs( no_educ_m educ_m_2 educ_m_3 no_educ_f educ_f_2 educ_f_3 no_income income_2 income_3 ///
region_1 region_2  region_4 region_5) fuzzy(prio_2012)

local b_`w'_`i' =  e(tau_cl)
local se_`w'_`i'=e(se_tau_cl)
sig, coef(`b_`w'_`i'') se(`se_`w'_`i'')
local sig_`w'_`i'="`r(sig)'"
local b_`w'_`i' 	: di %15.3fc `b_`w'_`i''
local se_`w'_`i' 	: di %15.3fc `se_`w'_`i''

ivreg `var'_`w' (prio_2012 = treat)  r treat_r if abs_r<=1200
local cons_`w'_`i'  = _b[_cons]
local cons_`w'_`i'  : di %15.3fc `cons_`w'_`i''
local obs_`w'_`i' 	: di %15.0fc e(N)
}

}


texdoc init "$Tables/table_choice_potential.tex", replace

tex \begin{tabular}{lccccccc}
tex \hline 
tex 							& (1)					& (2)					& (3)					& (4)					& (5)					& (6)					\\
tex								&School					&School					&School					&School					&School					&School					 \\
tex								&Private				&Test Scores			&SES					&Add-On					&Class					&Distance				 \\ 
tex								&						&						&						&						&Size					&(Miles)				\\  \hline
tex \multicolumn{7}{c}{Panel A: Individuals travel less than 0.3 miles } \\	 \hline					
tex R $\leq$ Cutoff				&$`b_03_1'`sig_03_1'$	&$`b_03_2'`sig_03_2'$	&$`b_03_3'`sig_03_3'$	&$`b_03_4'`sig_03_4'$	&$`b_03_5'`sig_03_5'$	&$`b_03_6'`sig_03_6'$			\\
tex 							&(`se_03_1')			&(`se_03_2')			&(`se_03_3')			&(`se_03_4')			&(`se_03_5')			&(`se_03_6')			\\ \\
tex Mean Control				&`cons_03_1'			&`cons_03_2'			&`cons_03_3'			&`cons_03_4'			&`cons_03_5'			&`cons_03_6'			 \\ \\
tex Observations				&`obs_03_1'				&`obs_03_2'				&`obs_03_3'				&`obs_03_4'				&`obs_03_5'				&`obs_03_6'					\\ \\ \hline

tex \multicolumn{7}{c}{Panel A: Individuals travel less than 0.7 miles } \\ \hline
tex R $\leq$ Cutoff				&$`b_07_1'`sig_07_1'$	&$`b_07_2'`sig_07_2'$	&$`b_07_3'`sig_07_3'$	&$`b_07_4'`sig_07_4'$	&$`b_07_5'`sig_07_5'$	&$`b_07_6'`sig_07_6'$			\\
tex 							&(`se_07_1')			&(`se_07_2')			&(`se_07_3')			&(`se_07_4')			&(`se_07_5')			&(`se_07_6')			\\ \\
tex Mean Control				&`cons_07_1'			&`cons_07_2'			&`cons_07_3'			&`cons_07_4'			&`cons_07_5'			&`cons_07_6'			 \\ \\
tex Observations				&`obs_07_1'				&`obs_07_2'				&`obs_07_3'				&`obs_07_4'				&`obs_07_5'				&`obs_07_6'					\\ \\ \hline

tex \multicolumn{7}{c}{Panel A: Individuals travel less than 1.7 miles } \\ \hline
tex R $\leq$ Cutoff				&$`b_17_1'`sig_17_1'$	&$`b_17_2'`sig_17_2'$	&$`b_17_3'`sig_17_3'$	&$`b_17_4'`sig_17_4'$	&$`b_17_5'`sig_17_5'$	&$`b_17_6'`sig_17_6'$			\\
tex 							&(`se_17_1')			&(`se_17_2')			&(`se_17_3')			&(`se_17_4')			&(`se_17_5')			&(`se_17_6')			\\ \\
tex Mean Control				&`cons_17_1'			&`cons_17_2'			&`cons_17_3'			&`cons_17_4'			&`cons_17_5'			&`cons_17_6'			 \\ \\
tex Observations				&`obs_17_1'				&`obs_17_2'				&`obs_17_3'				&`obs_17_4'				&`obs_17_5'				&`obs_17_6'					\\ \\ \hline

tex \hline
tex \end{tabular}
