*Table 6

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data", clear
gen educ_m=1 if educ_mother_y_s2b<12 & educ_mother_y_s2b!=.
replace educ_m=2 if educ_mother_y_s2b>=12 & educ_mother_y_s2b!=.


forvalues z=1/2{

local i=0
foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance lect_s2b_st lect_s4b_st mat_s4b_st{
local i=`i'+1


*IV
rdrobust `var' r if educ_m==`z', h(1200) covs(no_educ_f educ_f_2 educ_f_3 no_income income_2 income_3 ///
region_1 region_2  region_4 region_5) fuzzy(prio_2012)

local b_iv_me`z'_`i' =  e(tau_cl)
local se_iv_me`z'_`i'=e(se_tau_cl)
sig, coef(`b_iv_me`z'_`i'') se(`se_iv_me`z'_`i'')
local sig_iv_me`z'_`i'="`r(sig)'"
local b_iv_me`z'_`i' 	: di %15.3fc `b_iv_me`z'_`i''
local se_iv_me`z'_`i' 	: di %15.3fc `se_iv_me`z'_`i''

ivreg `var' (prio_2012 = treat)  r treat_r if abs_r<=1200 & educ_m==`z'
local cons_iv_me`z'_`i'  = _b[_cons]
local cons_iv_me`z'_`i'  : di %15.3fc `cons_iv_me`z'_`i''
local obs_iv_me`z'_`i' 	: di %15.0fc e(N)

}
}

texdoc init "$Tables/table_het_me.tex", replace

tex \begin{tabular}{lccccccccc}
tex \hline 
tex 							& (1)							& (2)							& (3)							& (4)							& (5)							& (6)							&(7)							&(8)							&(9) \\
tex								&School							&School							&School							&School							&School							&School							&Student						&Student						&Student \\
tex								&Private						&Test Scores					&SES							&Add-On							&Class							&Distance						&Language						&Language						&Math \\ 
tex								&								&								&								&								&Size							&(Miles)						&2nd Grade						&4th Grade						&4th Grade \\  \hline
tex \multicolumn{10}{c}{Panel A: Mother has less than High School Education } \\	 \hline					
tex Eligible			&$`b_iv_me1_1'`sig_iv_me1_1'$	&$`b_iv_me1_2'`sig_iv_me1_2'$	&$`b_iv_me1_3'`sig_iv_me1_3'$	&$`b_iv_me1_4'`sig_iv_me1_4'$	&$`b_iv_me1_5'`sig_iv_me1_5'$	&$`b_iv_me1_6'`sig_iv_me1_6'$	&$`b_iv_me1_7'`sig_iv_me1_7'$	&$`b_iv_me1_8'`sig_iv_me1_8'$	&$`b_iv_me1_9'`sig_iv_me1_9'$			\\
tex 							&(`se_iv_me1_1')				&(`se_iv_me1_2')				&(`se_iv_me1_3')				&(`se_iv_me1_4')				&(`se_iv_me1_5')				&(`se_iv_me1_6')				&(`se_iv_me1_7')				&(`se_iv_me1_8')				&(`se_iv_me1_9')	\\ \\
tex Mean Control				&`cons_iv_me1_1'				&`cons_iv_me1_2'				&`cons_iv_me1_3'				&`cons_iv_me1_4'				&`cons_iv_me1_5'				&`cons_iv_me1_6'				&`cons_iv_me1_7'				&`cons_iv_me1_8'				&`cons_iv_me1_9' \\ \\
tex Observations				&`obs_iv_me1_1'					&`obs_iv_me1_2'					&`obs_iv_me1_3'					&`obs_iv_me1_4'					&`obs_iv_me1_5'					&`obs_iv_me1_6'					&`obs_iv_me1_7'					&`obs_iv_me1_8'					&`obs_iv_me1_9' 	\\ \\ \hline

tex \multicolumn{10}{c}{Panel B: Mother has High School Education or Tertiary Education } \\ \hline
tex Eligible			&$`b_iv_me2_1'`sig_iv_me2_1'$	&$`b_iv_me2_2'`sig_iv_me2_2'$	&$`b_iv_me2_3'`sig_iv_me2_3'$	&$`b_iv_me2_4'`sig_iv_me2_4'$	&$`b_iv_me2_5'`sig_iv_me2_5'$	&$`b_iv_me2_6'`sig_iv_me2_6'$	&$`b_iv_me2_7'`sig_iv_me2_7'$	&$`b_iv_me2_8'`sig_iv_me2_8'$	&$`b_iv_me2_9'`sig_iv_me2_9'$			\\
tex 							&(`se_iv_me2_1')				&(`se_iv_me2_2')				&(`se_iv_me2_3')				&(`se_iv_me2_4')				&(`se_iv_me2_5')				&(`se_iv_me2_6')				&(`se_iv_me2_7')				&(`se_iv_me2_8')				&(`se_iv_me2_9')	\\ \\
tex Mean Control				&`cons_iv_me2_1'				&`cons_iv_me2_2'				&`cons_iv_me2_3'				&`cons_iv_me2_4'				&`cons_iv_me2_5'				&`cons_iv_me2_6'				&`cons_iv_me2_7'				&`cons_iv_me2_8'				&`cons_iv_me2_9' \\ \\
tex Observations				&`obs_iv_me2_1'					&`obs_iv_me2_2'					&`obs_iv_me2_3'					&`obs_iv_me2_4'					&`obs_iv_me2_5'					&`obs_iv_me2_6'					&`obs_iv_me2_7'					&`obs_iv_me2_8'					&`obs_iv_me2_9' 	\\ \\

tex \hline
tex \end{tabular}
