*Table 7

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data_08", clear
/*
BW 1000
foreach var in private simce_4b_07_st educ_4b_07_st copago_us class_size lect_s4b_st mat_s4b_st{
rdbwselect `var' r
}
*/

*First Stage
rdrobust prio_2008 r, h(1000)
local b_fs=  -e(tau_cl)
local se_fs=e(se_tau_cl)
sig, coef(`b_fs') se(`se_fs')
local sig_fs="`r(sig)'"
local b_fs	: di %15.3fc `b_fs'
local se_fs 	: di %15.3fc `se_fs'

reg prio_2008 treat r treat_r if abs_r<=1000
local cons_fs  = _b[_cons]
local cons_fs  : di %15.3fc `cons_fs'
local obs_fs 	: di %15.0fc e(N)

*Check
gen receives=0
replace receives=1 if sep==1 & prio_2008==1

foreach var in receives prio_years_s2b prio_years_s4b{
rdrobust `var' r, h(1000)
reg `var' treat r treat_r if abs_r<=1000
}

foreach var in educ_mother_y_s4b educ_father_y_s4b  income_s4b_us books_s4b internet_s4b computer_s4b childcare_s4b{
rdrobust `var' r, h(1000)
}

local i=0
foreach var in private simce_4b_07_st educ_4b_07_st copago_us class_size lect_s4b_st mat_s4b_st{
local i=`i'+1
*RF
rdrobust `var' r, h(1000) covs( no_educ_m educ_m_2 educ_m_3 no_educ_f educ_f_2 educ_f_3 no_income income_2 income_3 ///
region_1 region_2  region_4 region_5)

local b_rf_`i' =  -e(tau_cl)
local se_rf_`i'=e(se_tau_cl)
sig, coef(`b_rf_`i'') se(`se_rf_`i'')
local sig_rf_`i'="`r(sig)'"
local b_rf_`i' 	: di %15.3fc `b_rf_`i''
local se_rf_`i' 	: di %15.3fc `se_rf_`i''

reg `var' treat r treat_r if abs_r<=1000
local cons_rf_`i'  = _b[_cons]
local cons_rf_`i'  : di %15.3fc `cons_rf_`i''
local obs_rf_`i' 	: di %15.0fc e(N)


*IV
rdrobust `var' r, h(1000) covs( no_educ_m educ_m_2 educ_m_3 no_educ_f educ_f_2 educ_f_3 no_income income_2 income_3 ///
region_1 region_2  region_4 region_5) fuzzy(prio_2008)

local b_iv_`i' =  e(tau_cl)
local se_iv_`i'=e(se_tau_cl)
sig, coef(`b_iv_`i'') se(`se_iv_`i'')
local sig_iv_`i'="`r(sig)'"
local b_iv_`i' 	: di %15.3fc `b_iv_`i''
local se_iv_`i' 	: di %15.3fc `se_iv_`i''

ivreg `var' (prio_2008 = treat)  r treat_r if abs_r<=1000
local cons_iv_`i'  = _b[_cons]
local cons_iv_`i'  : di %15.3fc `cons_iv_`i''
local obs_iv_`i' 	: di %15.0fc e(N)


}


texdoc init "$Tables/table_choice_08.tex", replace

tex \begin{tabular}{lccccccc}
tex \hline 
tex 							& (1)					& (2)					& (3)					& (4)					& (5)					& (6)					&(7)			\\
tex								&School					&School					&School					&School					&School					&Student				&Student \\
tex								&Private				&Test Scores			&SES					&Add-On					&Class					&Language				&Math \\ 
tex								&						&						&						&						&Size					&4th Grade				&4th Grade \\  \hline

tex \multicolumn{8}{c}{Panel A: First Stage } \\	 \hline					
tex Eligible					&$`b_fs'`sig_fs'$		&$`b_fs'`sig_fs'$		&$`b_fs'`sig_fs'$		&$`b_fs'`sig_fs'$		&$`b_fs'`sig_fs'$		&$`b_fs'`sig_fs'$		&$`b_fs'`sig_fs'$			\\
tex 							&(`se_fs')				&(`se_fs')				&(`se_fs')				&(`se_fs')				&(`se_fs')				&(`se_fs')				&(`se_fs')				\\ \\
tex Mean Control				&`cons_fs'				&`cons_fs'				&`cons_fs'				&`cons_fs'				&`cons_fs'				&`cons_fs'				&`cons_fs'			 \\ \\
tex Observations				&`obs_fs'				&`obs_fs'				&`obs_fs'				&`obs_fs'				&`obs_fs'				&`obs_fs'				&`obs_fs'					\\ \\ \hline


tex \multicolumn{8}{c}{Panel B: Impact of Being Below the Cutoff (Reduced Form) } \\	 \hline					
tex R $\leq$ Cutoff				&$`b_rf_1'`sig_rf_1'$	&$`b_rf_2'`sig_rf_2'$	&$`b_rf_3'`sig_rf_3'$	&$`b_rf_4'`sig_rf_4'$	&$`b_rf_5'`sig_rf_5'$	&$`b_rf_6'`sig_rf_6'$	&$`b_rf_7'`sig_rf_7'$			\\
tex 							&(`se_rf_1')			&(`se_rf_2')			&(`se_rf_3')			&(`se_rf_4')			&(`se_rf_5')			&(`se_rf_6')			&(`se_rf_7')				\\ \\
tex Mean Control				&`cons_rf_1'			&`cons_rf_2'			&`cons_rf_3'			&`cons_rf_4'			&`cons_rf_5'			&`cons_rf_6'			&`cons_rf_7'			 \\ \\
tex Observations				&`obs_rf_1'				&`obs_rf_2'				&`obs_rf_3'				&`obs_rf_4'				&`obs_rf_5'				&`obs_rf_6'				&`obs_rf_7'					\\ \\ \hline

tex \multicolumn{8}{c}{Panel C: Impact of Being Eligible for Targeted Vouchers (IV) } \\ \hline
tex R $\leq$ Cutoff				&$`b_iv_1'`sig_iv_1'$	&$`b_iv_2'`sig_iv_2'$	&$`b_iv_3'`sig_iv_3'$	&$`b_iv_4'`sig_iv_4'$	&$`b_iv_5'`sig_iv_5'$	&$`b_iv_6'`sig_iv_6'$	&$`b_iv_7'`sig_iv_7'$				\\
tex 							&(`se_iv_1')			&(`se_iv_2')			&(`se_iv_3')			&(`se_iv_4')			&(`se_iv_5')			&(`se_iv_6')			&(`se_iv_7')				\\ \\
tex Mean Control				&`cons_iv_1'			&`cons_iv_2'			&`cons_iv_3'			&`cons_iv_4'			&`cons_iv_5'			&`cons_iv_6'			&`cons_iv_7'			 \\ \\
tex Observations				&`obs_iv_1'				&`obs_iv_2'				&`obs_iv_3'				&`obs_iv_4'				&`obs_iv_5'				&`obs_iv_6'				&`obs_iv_7'					\\ \\

tex \hline
tex \end{tabular}
