*Table 9

set matsize 11000

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data.dta", clear

keep if r>-3000 & r<3000

gen ingr_pc_2=ingr_pc*ingr_pc
gen ingr_pc_3=ingr_pc*ingr_pc*ingr_pc
gen educ_mother_y_s2b_2=educ_mother_y_s2b*educ_mother_y_s2b
gen educ_mother_y_s2b_3=educ_mother_y_s2b*educ_mother_y_s2b*educ_mother_y_s2b
gen educ_father_y_s2b_2=educ_father_y_s2b*educ_father_y_s2b
gen educ_father_y_s2b_3=educ_father_y_s2b*educ_father_y_s2b*educ_father_y_s2b
gen income_s2b_2=income_s2b*income_s2b
gen income_s2b_3=income_s2b*income_s2b*income_s2b

/* Check common support on covariates */
keep if ingr_pc<=433333

mat results = J(1, 4, .)

replace ingr_pc=. if ingr_pc==0

foreach x of varlist ingr_pc educ_mother_y_s2b educ_father_y_s2b income_s2b internet_s2b computer_s2b {
su `x' if r<=0
mat row = (r(min), r(max))
su `x' if r>0
mat row = (row, r(min), r(max))
mat rownames row = "`x'"
mat results = (results\ row)
}

mat results = results[2..., 1...]
mat colnames results = "min_0" "max_0" "min_1" "max_1"
mat list results

egen temp = rowmiss(ingr_pc educ_mother_y_s2b educ_father_y_s2b income_s2b internet_s2b computer_s2b cod_com_alu)
keep if temp == 0
drop temp

global X ingr_pc ingr_pc_2 ingr_pc_3 educ_mother_y_s2b educ_mother_y_s2b_2 educ_mother_y_s2b_3 ///
educ_father_y_s2b educ_father_y_s2b_2 educ_father_y_s2b_3 income_s2b income_s2b_2 income_s2b_3 internet_s2b computer_s2b ///
i.cod_com_alu


foreach method in kline hir{
	local i=0
	if ("`method'" == "kline") {
	local m="k"
	}
	if ("`method'" == "hir") {
	local m="h"
	}
	
	foreach outcome of varlist  private simce_4b_11_st  educ_4b_11_st copago_us class_size distance lect_s2b_st lect_s4b_st mat_s4b_st{
	local i=`i'+1

	preserve
	qui:ciest $X, outcome(`outcome') method(`method')
	local est0_`i'_`m' = `r(effect0)'
	local est1_`i'_`m' = `r(effect1)'
	local n0_`i'_`m' = `r(n0)'
	local n1_`i'_`m' = `r(n1)'
						
		*Graph
		
		if ("`method'" == "kline") {
		drop pred0 pred1 effect
		}
		

	save "$Aux/extrapolation.dta", replace

	use "$Aux/extrapolation.dta", clear

	set seed 123
	
	mat bs_est = J(1, 2, .)

	forval b = 1/500{				
	bsample			
							
	qui:ciest $X, outcome(`outcome') method(`method')
	mat bs_est = (bs_est\ (`r(effect0)', `r(effect1)'))	
							
	use "$Aux/extrapolation.dta", clear
	}
	mat bs_est = bs_est[2..., 1...]
	*mat list bs_est

	svmat bs_est
	su bs_est1
	local se0_`i'_`m' = `r(sd)'
	su bs_est2
	local se1_`i'_`m' = `r(sd)'
	
	sig, coef(`est0_`i'_`m'') se(`se0_`i'_`m'')
	local sig0_`i'_`m'="`r(sig)'"
	
	sig, coef(`est1_`i'_`m'') se(`se1_`i'_`m'')
	local sig1_`i'_`m'="`r(sig)'"
	
	local est0_`i'_`m' 	: di %15.3fc `est0_`i'_`m''
	local est1_`i'_`m' 	: di %15.3fc `est1_`i'_`m''
	local se0_`i'_`m' 	: di %15.3fc `se0_`i'_`m''
	local se1_`i'_`m' 	: di %15.3fc `se1_`i'_`m''

	restore

	}
}

*First Stage

qui: ciest $X, outcome(prio_2012) method(kline)
di `r(effect1)'
di `r(effect0)'
drop pred0 pred1 effect

qui:ciest $X, outcome(prio_years_s4b) method(kline)
di `r(effect1)'
di `r(effect0)'

texdoc init "$Tables/table_ciaresults.tex", replace

tex \begin{tabular}{lccccccccc}
tex \hline 
tex 							& (1)							& (2)							& (3)							& (4)							& (5)							& (6)							&(7)							&(8)							&(9) \\
tex								&School							&School							&School							&School							&School							&School							&Student						&Student						&Student \\
tex								&Private						&Test Scores					&SES							&Add-On							&Class							&Distance						&Language						&Language						&Math \\ 
tex								&								&								&								&								&Size							&(Miles)						&2nd Grade						&4th Grade						&4th Grade \\  \hline
tex \multicolumn{10}{c}{Panel A: Below the Cutoff } \\	 \hline	
				
tex  Linear Reweighting			&$`est1_1_k'`sig1_1_k'$			&$`est1_2_k'`sig1_2_k'$			&$`est1_3_k'`sig1_3_k'$			&$`est1_4_k'`sig1_4_k'$			&$`est1_5_k'`sig1_5_k'$			&$`est1_6_k'`sig1_6_k'$			&$`est1_7_k'`sig1_7_k'$			&$`est1_8_k'`sig1_8_k'$			&$`est1_9_k'`sig1_9_k'$		\\	
tex 							&(`se1_1_k')					&(`se1_2_k')					&(`se1_3_k')					&(`se1_4_k')					&(`se1_5_k')					&(`se1_6_k')					&(`se1_7_k')					&(`se1_8_k')					&(`se1_9_k')				\\			
tex  N Untreated				&`n1_1_k'						&`n1_2_k'						&`n1_3_k'						&`n1_4_k'						&`n1_5_k'						&`n1_6_k'						&`n1_7_k'						&`n1_8_k'						&`n1_9_k'			\\				
tex  N Treated					&`n0_1_k'						&`n0_2_k'						&`n0_3_k'						&`n0_4_k'						&`n0_5_k'						&`n0_6_k'						&`n0_7_k'						&`n0_8_k'						&`n0_9_k' 		\\ \\					

tex  Reweighting				&$`est1_1_h'`sig1_1_h'$			&$`est1_2_h'`sig1_2_h'$			&$`est1_3_h'`sig1_3_h'$			&$`est1_4_h'`sig1_4_h'$			&$`est1_5_h'`sig1_5_h'$			&$`est1_6_h'`sig1_6_h'$			&$`est1_7_h'`sig1_7_h'$			&$`est1_8_h'`sig1_8_h'$			&$`est1_9_h'`sig1_9_h'$		\\	
tex 							&(`se1_1_h')					&(`se1_2_h')					&(`se1_3_h')					&(`se1_4_h')					&(`se1_5_h')					&(`se1_6_h')					&(`se1_7_h')					&(`se1_8_h')					&(`se1_9_h')				\\			
tex  N Untreated				&`n1_1_h'						&`n1_2_h'						&`n1_3_h'						&`n1_4_h'						&`n1_5_h'						&`n1_6_h'						&`n1_7_h'						&`n1_8_h'						&`n1_9_h'			\\				
tex  N Treated					&`n0_1_h'						&`n0_2_h'						&`n0_3_h'						&`n0_4_h'						&`n0_5_h'						&`n0_6_h'						&`n0_7_h'						&`n0_8_h'						&`n0_9_h' 		\\ \\		\hline			


tex \multicolumn{10}{c}{Panel B: Above the Cutoff } \\ \hline

tex  Linear Reweighting			&$`est0_1_k'`sig1_1_k'$			&$`est0_2_k'`sig1_2_k'$			&$`est0_3_k'`sig1_3_k'$			&$`est0_4_k'`sig1_4_k'$			&$`est0_5_k'`sig1_5_k'$			&$`est0_6_k'`sig1_6_k'$			&$`est0_7_k'`sig1_7_k'$			&$`est0_8_k'`sig1_8_k'$			&$`est0_9_k'`sig1_9_k'$		\\	
tex 							&(`se0_1_k')					&(`se0_2_k')					&(`se0_3_k')					&(`se0_4_k')					&(`se0_5_k')					&(`se0_6_k')					&(`se0_7_k')					&(`se0_8_k')					&(`se0_9_k')				\\			
tex  N Untreated				&`n1_1_k'						&`n1_2_k'						&`n1_3_k'						&`n1_4_k'						&`n1_5_k'						&`n1_6_k'						&`n1_7_k'						&`n1_8_k'						&`n1_9_k'			\\				
tex  N Treated					&`n0_1_k'						&`n0_2_k'						&`n0_3_k'						&`n0_4_k'						&`n0_5_k'						&`n0_6_k'						&`n0_7_k'						&`n0_8_k'						&`n0_9_k' 		\\ \\					

tex  Reweighting				&$`est0_1_h'`sig1_1_h'$			&$`est0_2_h'`sig1_2_h'$			&$`est0_3_h'`sig1_3_h'$			&$`est0_4_h'`sig1_4_h'$			&$`est0_5_h'`sig1_5_h'$			&$`est0_6_h'`sig1_6_h'$			&$`est0_7_h'`sig1_7_h'$			&$`est0_8_h'`sig1_8_h'$			&$`est0_9_h'`sig1_9_h'$		\\	
tex 							&(`se0_1_h')					&(`se0_2_h')					&(`se0_3_h')					&(`se0_4_h')					&(`se0_5_h')					&(`se0_6_h')					&(`se0_7_h')					&(`se0_8_h')					&(`se0_9_h')				\\			
tex  N Untreated				&`n1_1_h'						&`n1_2_h'						&`n1_3_h'						&`n1_4_h'						&`n1_5_h'						&`n1_6_h'						&`n1_7_h'						&`n1_8_h'						&`n1_9_h'			\\				
tex  N Treated					&`n0_1_h'						&`n0_2_h'						&`n0_3_h'						&`n0_4_h'						&`n0_5_h'						&`n0_6_h'						&`n0_7_h'						&`n0_8_h'						&`n0_9_h' 		\\ \\					

tex \hline
tex \end{tabular}
