*Table A2

use "$Data/Matricula/matricula12", clear
drop if mrun==.
duplicates drop mrun, force
keep if cod_ense3==2 & cod_grado==1
collapse agno, by(rbd)
mmerge rbd using "$Aux/schools07.dta", unmatched(none)

texdoc init "$Tables/table_schools07.tex", replace

gen type=1 if public==1
replace type=2 if voucher==1 & copago_us==0 & copago_us!=.
replace type=3 if voucher==1 & copago_us>0 & sep==1 & copago_us!=.
replace type=4 if voucher==1 & copago_us>0 & sep==0 & copago_us!=.

gen constrained=0
replace constrained=1 if class_size>=45

gen constrained_2=0
replace constrained_2=1 if class_size>=30


forvalues z=1/4{
sum type
local a=r(N)
sum type if type==`z'
local enr_`z'=(r(N)/`a')*100
local enr_`z'	:display %9.0f `enr_`z''
local i=0
	foreach var in simce_4b_07 educ_4b_07 copago_us size class_size {
	local i=`i'+1
	sum `var' if type==`z'
	local mean_`z'_`i'	:display %9.1f r(mean)
	local sd_`z'_`i'	:display %9.1f r(sd)
	if "`var'"=="constrained"  {
	local mean_`z'_`i'	:display %9.2f r(mean)
	local sd_`z'_`i'	:display %9.2f r(sd)
	}
	}
}

tex \begin{tabular}{lccccc}
tex \hline  
tex 							& (1)				& (2)		& (3)		& (4)		& (5)									\\ 
tex 							&Test Scores		&SES		&Add-on		&Size		&Class Size					\\ 
tex 							&					&			&			&			&						\\ \hline

tex \multicolumn{6}{l}{\bf Joined the policy (SEP)} \\
tex Public						&`mean_1_1'		&`mean_1_2'	&`mean_1_3' &`mean_1_4' &`mean_1_5'			\\
tex 							&(`sd_1_1')		&(`sd_1_2')	&(`sd_1_3')	&(`sd_1_4')	&(`sd_1_5') 	\\ \\

tex Private Voucher w/No Add-On &`mean_2_1'		&`mean_2_2'	&`mean_2_3' &`mean_2_4' &`mean_2_5'			\\
tex 							&(`sd_2_1')		&(`sd_2_2')	&(`sd_2_3')	&(`sd_2_4')	&(`sd_2_5')		\\ \\

tex Private Voucher w/Add-On	&`mean_3_1'		&`mean_3_2'	&`mean_3_3' &`mean_3_4' &`mean_3_5' 		\\
tex 							&(`sd_3_1')		&(`sd_3_2')	&(`sd_3_3')	&(`sd_3_4')	&(`sd_3_5')		\\ \\
tex \multicolumn{6}{l}{\bf Didn't Join the policy (Non-SEP)} \\
tex Private Voucher w/Add-On	&`mean_4_1'		&`mean_4_2'	&`mean_4_3' &`mean_4_4' &`mean_4_5'			\\
tex 							&(`sd_4_1')		&(`sd_4_2')	&(`sd_4_3')	&(`sd_4_4')	&(`sd_4_5')		\\ 
tex \hline
tex \end{tabular}
