*Table A4

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data", clear
gen educ_m=1 if educ_mother_y_s2b<12 & educ_mother_y_s2b!=.
replace educ_m=2 if educ_mother_y_s2b>=12 & educ_mother_y_s2b!=.

local z=0
foreach num of numlist 500 1000 1500 2000{
local z=`z'+1
local i=0
foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance lect_s2b_st lect_s4b_st mat_s4b_st{
local i=`i'+1


*IV
rdrobust `var' r , h(`num') covs(no_educ_f educ_f_2 educ_f_3 no_income income_2 income_3 ///
region_1 region_2  region_4 region_5) fuzzy(prio_2012)

local b_iv_b`z'_`i' =  e(tau_cl)
local se_iv_b`z'_`i'=e(se_tau_cl)
sig, coef(`b_iv_b`z'_`i'') se(`se_iv_b`z'_`i'')
local sig_iv_b`z'_`i'="`r(sig)'"
local b_iv_b`z'_`i' 	: di %15.3fc `b_iv_b`z'_`i''
local se_iv_b`z'_`i' 	: di %15.3fc `se_iv_b`z'_`i''

ivreg `var' (prio_2012 = treat)  r treat_r if abs_r<=`num' 
local cons_iv_b`z'_`i'  = _b[_cons]
local cons_iv_b`z'_`i'  : di %15.3fc `cons_iv_b`z'_`i''
local obs_iv_b`z'_`i' 	: di %15.0fc e(N)

}
}

texdoc init "$Tables/table_bandwidth.tex", replace

tex \begin{tabular}{lccccccccc}
tex \hline 
tex 							& (1)							& (2)							& (3)							& (4)							& (5)							& (6)							&(7)							&(8)							&(9) \\
tex								&School							&School							&School							&School							&School							&School							&Student						&Student						&Student \\
tex								&Private						&Test Scores					&SES							&Add-On							&Class							&Distance						&Language						&Language						&Math \\ 
tex								&								&								&								&								&Size							&(Miles)						&2nd Grade						&4th Grade						&4th Grade \\  \hline
tex \multicolumn{10}{c}{Panel A: 500 Bandwidth} \\	 \hline					
tex Eligible			&$`b_iv_b1_1'`sig_iv_b1_1'$	&$`b_iv_b1_2'`sig_iv_b1_2'$	&$`b_iv_b1_3'`sig_iv_b1_3'$	&$`b_iv_b1_4'`sig_iv_b1_4'$	&$`b_iv_b1_5'`sig_iv_b1_5'$	&$`b_iv_b1_6'`sig_iv_b1_6'$	&$`b_iv_b1_7'`sig_iv_b1_7'$	&$`b_iv_b1_8'`sig_iv_b1_8'$	&$`b_iv_b1_9'`sig_iv_b1_9'$			\\
tex 							&(`se_iv_b1_1')				&(`se_iv_b1_2')				&(`se_iv_b1_3')				&(`se_iv_b1_4')				&(`se_iv_b1_5')				&(`se_iv_b1_6')				&(`se_iv_b1_7')				&(`se_iv_b1_8')				&(`se_iv_b1_9')	\\ \\
tex Mean Control				&`cons_iv_b1_1'				&`cons_iv_b1_2'				&`cons_iv_b1_3'				&`cons_iv_b1_4'				&`cons_iv_b1_5'				&`cons_iv_b1_6'				&`cons_iv_b1_7'				&`cons_iv_b1_8'				&`cons_iv_b1_9' \\ \\
tex Observations				&`obs_iv_b1_1'					&`obs_iv_b1_2'					&`obs_iv_b1_3'					&`obs_iv_b1_4'					&`obs_iv_b1_5'					&`obs_iv_b1_6'					&`obs_iv_b1_7'					&`obs_iv_b1_8'					&`obs_iv_b1_9' 	\\ \\ \hline

tex \multicolumn{10}{c}{Panel B: 1000 Bandwidth} \\ \hline
tex Eligible			&$`b_iv_b2_1'`sig_iv_b2_1'$	&$`b_iv_b2_2'`sig_iv_b2_2'$	&$`b_iv_b2_3'`sig_iv_b2_3'$	&$`b_iv_b2_4'`sig_iv_b2_4'$	&$`b_iv_b2_5'`sig_iv_b2_5'$	&$`b_iv_b2_6'`sig_iv_b2_6'$	&$`b_iv_b2_7'`sig_iv_b2_7'$	&$`b_iv_b2_8'`sig_iv_b2_8'$	&$`b_iv_b2_9'`sig_iv_b2_9'$			\\
tex 							&(`se_iv_b2_1')				&(`se_iv_b2_2')				&(`se_iv_b2_3')				&(`se_iv_b2_4')				&(`se_iv_b2_5')				&(`se_iv_b2_6')				&(`se_iv_b2_7')				&(`se_iv_b2_8')				&(`se_iv_b2_9')	\\ \\
tex Mean Control				&`cons_iv_b2_1'				&`cons_iv_b2_2'				&`cons_iv_b2_3'				&`cons_iv_b2_4'				&`cons_iv_b2_5'				&`cons_iv_b2_6'				&`cons_iv_b2_7'				&`cons_iv_b2_8'				&`cons_iv_b2_9' \\ \\
tex Observations				&`obs_iv_b2_1'					&`obs_iv_b2_2'					&`obs_iv_b2_3'					&`obs_iv_b2_4'					&`obs_iv_b2_5'					&`obs_iv_b2_6'					&`obs_iv_b2_7'					&`obs_iv_b2_8'					&`obs_iv_b2_9' 	\\ \\ \hline

tex \multicolumn{10}{c}{Panel B: 1500 Bandwidth} \\ \hline
tex Eligible			&$`b_iv_b3_1'`sig_iv_b3_1'$	&$`b_iv_b3_2'`sig_iv_b3_2'$	&$`b_iv_b3_3'`sig_iv_b3_3'$	&$`b_iv_b3_4'`sig_iv_b3_4'$	&$`b_iv_b3_5'`sig_iv_b3_5'$	&$`b_iv_b3_6'`sig_iv_b3_6'$	&$`b_iv_b3_7'`sig_iv_b3_7'$	&$`b_iv_b3_8'`sig_iv_b3_8'$	&$`b_iv_b3_9'`sig_iv_b3_9'$			\\
tex 							&(`se_iv_b3_1')				&(`se_iv_b3_2')				&(`se_iv_b3_3')				&(`se_iv_b3_4')				&(`se_iv_b3_5')				&(`se_iv_b3_6')				&(`se_iv_b3_7')				&(`se_iv_b3_8')				&(`se_iv_b3_9')	\\ \\
tex Mean Control				&`cons_iv_b3_1'				&`cons_iv_b3_2'				&`cons_iv_b3_3'				&`cons_iv_b3_4'				&`cons_iv_b3_5'				&`cons_iv_b3_6'				&`cons_iv_b3_7'				&`cons_iv_b3_8'				&`cons_iv_b3_9' \\ \\
tex Observations				&`obs_iv_b3_1'					&`obs_iv_b3_2'					&`obs_iv_b3_3'					&`obs_iv_b3_4'					&`obs_iv_b3_5'					&`obs_iv_b3_6'					&`obs_iv_b3_7'					&`obs_iv_b3_8'					&`obs_iv_b3_9' 	\\ \\ \hline

tex \multicolumn{10}{c}{Panel B: 2000 Bandwidth} \\ \hline
tex Eligible			&$`b_iv_b4_1'`sig_iv_b4_1'$	&$`b_iv_b4_2'`sig_iv_b4_2'$	&$`b_iv_b4_3'`sig_iv_b4_3'$	&$`b_iv_b4_4'`sig_iv_b4_4'$	&$`b_iv_b4_5'`sig_iv_b4_5'$	&$`b_iv_b4_6'`sig_iv_b4_6'$	&$`b_iv_b4_7'`sig_iv_b4_7'$	&$`b_iv_b4_8'`sig_iv_b4_8'$	&$`b_iv_b4_9'`sig_iv_b4_9'$			\\
tex 							&(`se_iv_b4_1')				&(`se_iv_b4_2')				&(`se_iv_b4_3')				&(`se_iv_b4_4')				&(`se_iv_b4_5')				&(`se_iv_b4_6')				&(`se_iv_b4_7')				&(`se_iv_b4_8')				&(`se_iv_b4_9')	\\ \\
tex Mean Control				&`cons_iv_b4_1'				&`cons_iv_b4_2'				&`cons_iv_b4_3'				&`cons_iv_b4_4'				&`cons_iv_b4_5'				&`cons_iv_b4_6'				&`cons_iv_b4_7'				&`cons_iv_b4_8'				&`cons_iv_b4_9' \\ \\
tex Observations				&`obs_iv_b4_1'					&`obs_iv_b4_2'					&`obs_iv_b4_3'					&`obs_iv_b4_4'					&`obs_iv_b4_5'					&`obs_iv_b4_6'					&`obs_iv_b4_7'					&`obs_iv_b4_8'					&`obs_iv_b4_9' 	\\ \\

tex \hline
tex \end{tabular}
