*Table A5

use "$Aux/Main_Data.dta", clear


local i=0
foreach var in educ_mother_y_s2b educ_father_y_s2b  income_s2b_us books_s2b internet_s2b computer_s2b childcare_s2b{
local i=`i'+1

gen var=`var'*prio_2012
rdrobust var r, h(1200)  fuzzy(prio_2012)
drop var
local b_c_`i' =  e(tau_cl)
local se_c_`i'=e(se_tau_cl)
local b_c_`i' 	: di %15.3fc `b_c_`i''
local se_c_`i' 	: di %15.3fc `se_c_`i''

sum `var' if abs(r)<1200

local b_s_`i'  = r(mean)
local sd_s_`i'    = r(sd)
local b_s_`i' 	: di %15.3fc `b_s_`i''
local sd_s_`i' 	: di %15.3fc `sd_s_`i''

}



texdoc init "$Tables/table_compliers.tex", replace

tex \begin{tabular}{lcc}
tex \hline  
tex 										& Sample					&Compliers	\\ \hline

tex Mother's Education						& `b_s_1'					& `b_c_1'   \\ \\

tex Father's Education						& `b_s_2'					& `b_c_2'   \\ \\

tex Income USD								& `b_s_3'					& `b_c_3'   \\ \\

tex N of Books								& `b_s_4'					& `b_c_4'   \\ \\

tex Internet								& `b_s_5'					& `b_c_5'   \\ \\

tex Computer								& `b_s_6'					& `b_c_6'   \\ \\

tex Attended Childcare (0-2)				& `b_s_7'					& `b_c_7'   \\ \\



tex \hline
tex \end{tabular}
