*Table A9

	cap: program drop sig
	program sig, rclass
	syntax , coef(real) se(real)
				local p=2 * (1-normal(abs(`coef'/`se')))
				if `p'<=0.01{
					return local sig "^{***}"
				}
				if `p'>0.01 & `p'<=0.05{
					return local sig "^{**}"
				}
				if `p'>0.05 & `p'<=0.1{
					return local sig "^{*}"
				}
				if `p'>0.1{
					return local sig ""
				}
	end

use "$Aux/Main_Data.dta", clear

keep if r>-3000 & r<3000

gen ingr_pc_2=ingr_pc*ingr_pc
gen ingr_pc_3=ingr_pc*ingr_pc*ingr_pc
gen educ_mother_y_s2b_2=educ_mother_y_s2b*educ_mother_y_s2b
gen educ_mother_y_s2b_3=educ_mother_y_s2b*educ_mother_y_s2b*educ_mother_y_s2b
gen educ_father_y_s2b_2=educ_father_y_s2b*educ_father_y_s2b
gen educ_father_y_s2b_3=educ_father_y_s2b*educ_father_y_s2b*educ_father_y_s2b
gen income_s2b_2=income_s2b*income_s2b
gen income_s2b_3=income_s2b*income_s2b*income_s2b

replace r=r/1000

/* Check common support on covariates */
keep if ingr_pc<=433333

mat results = J(1, 4, .)

replace ingr_pc=. if ingr_pc==0

foreach x of varlist ingr_pc educ_mother_y_s2b educ_father_y_s2b income_s2b internet_s2b computer_s2b {
su `x' if r<=0
mat row = (r(min), r(max))
su `x' if r>0
mat row = (row, r(min), r(max))
mat rownames row = "`x'"
mat results = (results\ row)
}

mat results = results[2..., 1...]
mat colnames results = "min_0" "max_0" "min_1" "max_1"
mat list results

egen temp = rowmiss(ingr_pc educ_mother_y_s2b educ_father_y_s2b income_s2b internet_s2b computer_s2b cod_com_alu)
keep if temp == 0
drop temp

global X ingr_pc ingr_pc_2 ingr_pc_3 educ_mother_y_s2b educ_mother_y_s2b_2 educ_mother_y_s2b_3 ///
educ_father_y_s2b educ_father_y_s2b_2 educ_father_y_s2b_3 income_s2b income_s2b_2 income_s2b_3 internet_s2b computer_s2b ///
i.cod_com_alu

/*CIA Test*/
forvalues z=0/1{
local i=0
foreach var in private simce_4b_11_st educ_4b_11_st copago_us class_size distance lect_s2b_st lect_s4b_st mat_s4b_st{
local i=`i'+1
*NC
reg `var' r if treat==`z'

local b_nc_`i'_`z' =  _b[r]
local se_nc_`i'_`z' =  _se[r]
sig, coef(`b_nc_`i'_`z'') se(`se_nc_`i'_`z'')
local sig_nc_`i'_`z'="`r(sig)'"
local b_nc_`i'_`z' 	: di %15.3fc `b_nc_`i'_`z''
local se_nc_`i'_`z' : di %15.3fc `se_nc_`i'_`z''

sum `var' if treat==0
local cons_nc_`i'_`z'  = r(mean)
local cons_nc_`i'_`z'  : di %15.3fc `cons_nc_`i'_`z''
local obs_nc_`i'_`z'  = r(N)

*C
reg `var' r  $X  if treat==`z', r

local b_c_`i'_`z' =  _b[r]
local se_c_`i'_`z' =  _se[r]
sig, coef(`b_c_`i'_`z'') se(`se_c_`i'_`z'')
local sig_c_`i'_`z'="`r(sig)'"
local b_c_`i'_`z' 	: di %15.3fc `b_c_`i'_`z''
local se_c_`i'_`z' : di %15.3fc `se_c_`i'_`z''

}
}


texdoc init "$Tables/table_ciatest.tex", replace

tex \begin{tabular}{lccccccccc}
tex \hline 
tex 							& (1)						& (2)						& (3)						& (4)						& (5)						& (6)						&(7)						&(8)						&(9) \\
tex								&School						&School						&School						&School						&School						&School						&Student					&Student					&Student \\
tex								&Private					&Test Scores				&SES						&Add-On						&Class						&Distance					&Language					&Language					&Math \\ 
tex								&							&							&							&							&Size						&(Miles)					&2nd Grade					&4th Grade					&4th Grade \\  \hline
tex \multicolumn{10}{c}{Panel A: Below the Cutoff Without Controls } \\	 \hline					
tex R $\leq$ Cutoff				&$`b_nc_1_1'`sig_nc_1_1'$	&$`b_nc_2_1'`sig_nc_2_1'$	&$`b_nc_3_1'`sig_nc_3_1'$	&$`b_nc_4_1'`sig_nc_4_1'$	&$`b_nc_5_1'`sig_nc_5_1'$	&$`b_nc_6_1'`sig_nc_6_1'$	&$`b_nc_7_1'`sig_nc_7_1'$	&$`b_nc_8_1'`sig_nc_8_1'$	&$`b_nc_9_1'`sig_nc_9_1'$	 \\			
tex 							&(`se_nc_1_1')				&(`se_nc_2_1')				&(`se_nc_3_1')				&(`se_nc_4_1')				&(`se_nc_5_1')				&(`se_nc_6_1')				&(`se_nc_7_1')				&(`se_nc_8_1')				&(`se_nc_9_1')				\\ \\
tex Mean Control				&`cons_nc_1_1'				&`cons_nc_2_1'				&`cons_nc_3_1'				&`cons_nc_4_1'				&`cons_nc_5_1'				&`cons_nc_6_1'				&`cons_nc_7_1'				&`cons_nc_8_1'				&`cons_nc_9_1'	 \\ \\
tex Observations				&`obs_nc_1_1'				&`obs_nc_2_1'				&`obs_nc_3_1'				&`obs_nc_4_1'				&`obs_nc_5_1'				&`obs_nc_6_1'				&`obs_nc_7_1'				&`obs_nc_8_1'				&`obs_nc_9_1'	\\	\\	\hline

tex \multicolumn{10}{c}{Panel B: Below the Cutoff With Controls } \\ \hline
tex R $\leq$ Cutoff				&$`b_c_1_1'`sig_c_1_1'$		&$`b_c_2_1'`sig_c_2_1'$		&$`b_c_3_1'`sig_c_3_1'$		&$`b_c_4_1'`sig_c_4_1'$		&$`b_c_5_1'`sig_c_5_1'$		&$`b_c_6_1'`sig_c_6_1'$		&$`b_c_7_1'`sig_c_7_1'$		&$`b_c_8_1'`sig_c_8_1'$		&$`b_c_9_1'`sig_c_9_1'$	 \\			
tex 							&(`se_c_1_1')				&(`se_c_2_1')				&(`se_c_3_1')				&(`se_c_4_1')				&(`se_c_5_1')				&(`se_c_6_1')				&(`se_c_7_1')				&(`se_c_8_1')				&(`se_c_9_1')				\\ \\
tex Mean Control				&`cons_nc_1_1'				&`cons_nc_2_1'				&`cons_nc_3_1'				&`cons_nc_4_1'				&`cons_nc_5_1'				&`cons_nc_6_1'				&`cons_nc_7_1'				&`cons_nc_8_1'				&`cons_nc_9_1'	 \\ \\
tex Observations				&`obs_nc_1_1'				&`obs_nc_2_1'				&`obs_nc_3_1'				&`obs_nc_4_1'				&`obs_nc_5_1'				&`obs_nc_6_1'				&`obs_nc_7_1'				&`obs_nc_8_1'				&`obs_nc_9_1'	\\	\\	\hline

tex \multicolumn{10}{c}{Panel C: Above the Cutoff Without Controls } \\	 \hline					
tex R $\leq$ Cutoff				&$`b_nc_1_0'`sig_nc_1_0'$	&$`b_nc_2_0'`sig_nc_2_0'$	&$`b_nc_3_0'`sig_nc_3_0'$	&$`b_nc_4_0'`sig_nc_4_0'$	&$`b_nc_5_0'`sig_nc_5_0'$	&$`b_nc_6_0'`sig_nc_6_0'$	&$`b_nc_7_0'`sig_nc_7_0'$	&$`b_nc_8_0'`sig_nc_8_0'$	&$`b_nc_9_0'`sig_nc_9_0'$	 \\			
tex 							&(`se_nc_1_0')				&(`se_nc_2_0')				&(`se_nc_3_0')				&(`se_nc_4_0')				&(`se_nc_5_0')				&(`se_nc_6_0')				&(`se_nc_7_0')				&(`se_nc_8_0')				&(`se_nc_9_0')				\\ \\
tex Mean Control				&`cons_nc_1_0'				&`cons_nc_2_0'				&`cons_nc_3_0'				&`cons_nc_4_0'				&`cons_nc_5_0'				&`cons_nc_6_0'				&`cons_nc_7_0'				&`cons_nc_8_0'				&`cons_nc_9_0'	 \\ \\
tex Observations				&`obs_nc_1_0'				&`obs_nc_2_0'				&`obs_nc_3_0'				&`obs_nc_4_0'				&`obs_nc_5_0'				&`obs_nc_6_0'				&`obs_nc_7_0'				&`obs_nc_8_0'				&`obs_nc_9_0'	\\	\\	\hline

tex \multicolumn{10}{c}{Panel C: Above the Cutoff With Controls } \\	 \hline					
tex R $\leq$ Cutoff				&$`b_c_1_0'`sig_c_1_0'$		&$`b_c_2_0'`sig_c_2_0'$		&$`b_c_3_0'`sig_c_3_0'$		&$`b_c_4_0'`sig_c_4_0'$		&$`b_c_5_0'`sig_c_5_0'$		&$`b_c_6_0'`sig_c_6_0'$		&$`b_c_7_0'`sig_c_7_0'$		&$`b_c_8_0'`sig_c_8_0'$		&$`b_c_9_0'`sig_c_9_0'$	 \\			
tex 							&(`se_c_1_0')				&(`se_c_2_0')				&(`se_c_3_0')				&(`se_c_4_0')				&(`se_c_5_0')				&(`se_c_6_0')				&(`se_c_7_0')				&(`se_c_8_0')				&(`se_c_9_0')				\\ \\
tex Mean Control				&`cons_nc_1_0'				&`cons_nc_2_0'				&`cons_nc_3_0'				&`cons_nc_4_0'				&`cons_nc_5_0'				&`cons_nc_6_0'				&`cons_nc_7_0'				&`cons_nc_8_0'				&`cons_nc_9_0'	 \\ \\
tex Observations				&`obs_nc_1_0'				&`obs_nc_2_0'				&`obs_nc_3_0'				&`obs_nc_4_0'				&`obs_nc_5_0'				&`obs_nc_6_0'				&`obs_nc_7_0'				&`obs_nc_8_0'				&`obs_nc_9_0'	\\	\\	\hline

tex \end{tabular}

