capture: program drop ciest
program ciest, rclass
	version 11.0
	syntax varlist(fv), outcome(string) method(string)
	noisily {
	
	if ("`method'" == "kline") {

		reg `outcome' `varlist' if treat == 0
		local n0 = e(N)
		predict pred0, xb
		reg `outcome' `varlist' if treat == 1
		local n1 = e(N)
		predict pred1, xb
			
		gen effect = pred1 - pred0
		su effect if treat == 0
		local effect0 = r(mean)
		su effect if treat == 1
		local effect1 = r(mean)
	}
	
	else if ("`method'" == "hir") {
	
	capture noisily: xi: logit treat `varlist' if `outcome' != ., iterate(100)
	if (_rc == 0 & `e(converged)' == 1) {
	predict pred_p if `outcome' != .
	
	su pred_p if treat == 0
	local n0 = r(N)
	su pred_p if treat == 1
	local n1 = r(N)
	su treat
	local p = r(mean)

	gen w0 = (1 - treat)/(1 - pred_p)
	gen w1 = treat/pred_p
				
	gen w00 = w0*((1 - pred_p)/(1 - `p'))
	gen w10 = w1*((1 - pred_p)/(1 - `p'))
				
	gen w01 = w0*(pred_p/`p')
	gen w11 = w1*(pred_p/`p')
				
	foreach w in w00 w10 w01 w11 {
	su `w' if `outcome' != .
	replace `w' = `w'/r(mean)
	}
	gen temp = (w10 - w00)*`outcome'
	su temp
	local effect0 = r(mean)
	drop temp
				
	gen temp = (w11 - w01)*`outcome'
	su temp
	local effect1 = r(mean)
	drop temp
	
	drop pred_p w0 w1 w00 w10 w01 w11
	}
	else {
	local n0 = .
	local n1 = .
	local effect0 = .
	local effect1 = .
	local diff_cia_rd = .
	}
	}
	}
				
	
	return scalar effect0 = `effect0'
	return scalar effect1 = `effect1'
	return scalar n0 = `n0'
	return scalar n1 = `n1'
end
